USE bugport;

CREATE FULLTEXT INDEX report_fulltext
ON bugmasta.report (report,develplan,fixednotes,repsteps,subject);
CREATE FULLTEXT INDEX comment_fulltext
ON bugmasta.comment (comments);
CREATE INDEX comment_report_id
ON bugmasta.comment (report_id);
CREATE INDEX relatedbugs_report_id
       ON bugmasta.relatedbugs (report_id);
CREATE INDEX report_project_id
       ON bugmasta.report (project_id);
CREATE INDEX report_submitter_id
       ON bugmasta.report (submitter_id);
CREATE INDEX report_tester_id
       ON bugmasta.report (tester_id);
CREATE INDEX report_designer_id
       ON bugmasta.report (designer_id);
CREATE INDEX report_developer_id
       ON bugmasta.report (developer_id);
CREATE INDEX report_state_id
       ON bugmasta.report (state_id);
CREATE INDEX report_priority_id
       ON bugmasta.report (priority_id);