#!/bin/sh
#
# =========================================================================
# Copyright (c) 2003, Josh Glover <jmglov@jmglov.net>
#
# LICENCE:
#
#   This file is distributed under the terms of the BSD License, version
#   2. See the COPYING file, which should have been distributed with this
#   file, for details. If you did not receive the COPYING file, see:
#
#   http://www.jmglov.net/opensource/licences/bsd.txt
#
# enable-userpriv.sh
#
# DESCRIPTION:
#
#   Re-enables the Portage 'userpriv' feature (useful after disabling
#   userpriv to emerge a webapp-apache ebuild)
#
# USAGE:
#
#   enable-userpriv.sh
#
#   Make sure to run as root! (e.g. 'sudo ./enable-userpriv.sh')
#
# EXAMPLES:
#
#   enable-userpriv.sh
#
# DEPENDENCIES:
#
#   None
#
# TODO:
#
#   - Nothing, this code is perfect
#
# MODIFICATIONS:
#
#   Josh Glover <jmglov@jmglov.net> (2003/12/04): Initial revision
# =========================================================================

if test -e /etc/make.conf.ORIG; then
  sudo mv /etc/make.conf.ORIG /etc/make.conf
fi
