<?php

define( 'CLASS_DIR', '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'php_classes' );
define( 'IS_GENEPORT4_SCRIPT', true );
require_once( CLASS_DIR . DIRECTORY_SEPARATOR . 'Libraries' . DIRECTORY_SEPARATOR . 'importLibrary.php' );

primeImport();

runLightStartUpProcesses();

//print getStringDepiction( get_defined_constants() );

if ( isset( $_GET{ 'action' } ) && $_GET{ 'action' } == 'submit' )
{
   foreach ( getAvailableDebugOptions() as $option )
   {
      $newSettings{ $option } = in_array( $option, $_GET{ 'setOptions' } );
   }

   //print getStringDepiction( $newSettings );

   setDebugOptions( $newSettings );
}

$defaultSettings = getDefaultDebugSettings();
//print getStringDepiction( $defaultSettings );

//print '<br />';

$settings = getDebugSettings();
//print getStringDepiction( $settings );

$options = getAvailableDebugOptions();

print '<form name="foo" action="' . $_SERVER{ 'PHP_SELF' } . '" method="get" >';
print '<input type="hidden" name="action" value="submit" />';
print 'Options: <br />';
foreach ( $options as $option )
{
   $checked = ( isset( $settings{ $option } ) && $settings{ $option } ) ? ' checked="checked"' : '';

   print '<input type="checkbox" name="setOptions[]" value="' . $option . '"' . $checked . ' />' . $option . '<br />';
}

print '<br />';
print '<input type="submit" />';
print '</form>';

runLightEndProcesses();

?>