<?php

define( 'CLASS_DIR', '..' . DIRECTORY_SEPARATOR . 'php_classes' );
define( 'IS_GENEPORT4_SCRIPT', true );
require_once(
   CLASS_DIR . DIRECTORY_SEPARATOR . 'Libraries' .
   DIRECTORY_SEPARATOR . 'importLibrary.php' );

//print __FILE__ . BR_NL;

primeImport();

runLightStartUpProcesses();

//importClass( 'Foo' );



   importClass( 'Shared.Project' );
   $vibeProject =& Project::getFromPrimaryID( 8 );
   $devItemIterator =& $vibeProject->getAllDevelopmentItems();

   importClass( 'FileGenerators.DelimitedFileGenerator' );
   $csvFileGen =& new DelimitedFileGenerator();

   $columnArray = new_array(  'ID', 'Report Type',
                              'State', 'Priority',
                              'Category', 'Summary',
                              'Developer', 'Submitter',
                              'Detected Client Version', 'Detected Server Version',
			      'Fixed Client Version', 'Fixed Server Version' );

   $csvFileGen->setColumns( $columnArray );

   for ( $devItemIterator->reset(); ! $devItemIterator->isEnd(); $devItemIterator->moveNext() )
   {
      $item =& $devItemIterator->getCurrent();

      $state =& $item->getState();
      $category =& $item->getCategory();
      $developer =& $item->getDeveloper();
      $submitter =& $item->getSubmitter();
      $priority =& $item->getPriority();
      $detClient =& $item->getDetectedClientVersion();
      $detServer =& $item->getDetectedServerVersion();
      $fixClient =& $item->getFixedClientVersion();
      $fixServer =& $item->getFixedServerVersion();
      

      $rowArray = new_array(  $item->getPrimaryID(), $item->getReportType(),
                              $state->getIdentifyingString(), $priority->getIdentifyingString(),
                              $category->getIdentifyingString(), $item->getSubject(),
                              $developer->getIdentifyingString(), $submitter->getIdentifyingString(),
                              $detClient->getIdentifyingString(), $detServer->getIdentifyingString(),
                              $fixClient->getIdentifyingString(), $fixServer->getIdentifyingString() );

      $csvFileGen->addRow( $rowArray );
   }

   $output = $csvFileGen->getContents();


//   header("Cache-control: private");
//   header("Content-type: text/".$csvFileGen->getExtension());
//   header("Content-Length: ".strlen($output));   // this lets the user have a progress meter in the browser
//   header("Content-Disposition: attachment; filename=\"".$csvFileGen->getFileName()."\"");

   print $output;


runLightEndProcesses();

?>
