<?php

define( 'CLASS_DIR', '../php_classes' );
define( 'IS_GENEPORT4_SCRIPT', true );
require_once( CLASS_DIR . '/Libraries/importLibrary.php' );

//========================================================================

// phpinfo();

primeImport();

runLightStartUpProcesses( false );

//========================================================================

define( 'ADO_DIR', CLASS_DIR . '/../adodb/' );
require_once( ADO_DIR . 'adodb.inc.php' );

//print_r( get_defined_constants() );

print 'DB Info' . BR_NL;
print GENEPORT_DATABASE_HOST . BR_NL;
print GENEPORT_DATABASE_USER . BR_NL;
print GENEPORT_DATABASE_PASSWORD . BR_NL;
print GENEPORT_DATABASE_INSTANCE . BR_NL;

putenv( 'ORACLE_HOME=' . GENEPORT_ORACLE_HOME );
$dbcon = &ADONewConnection( 'oci8' );  # create a connection
$dbcon->connectSID = true;
$dbcon->Connect(
   'r2',
   'incogen',
   'n0va31188',
   'r2' );
$dbcon->SetFetchMode( ADODB_FETCH_ASSOC );
$dbcon->cacheSecs = 666;


// print get_class($dbcon);

$dbcon2 = &ADONewConnection( 'mysql' );  # create a connection
$dbcon2->Connect(
   'r2',
   'incogen',
   'lysine311',
   'incogen' );
$dbcon2->SetFetchMode( ADODB_FETCH_ASSOC );
$dbcon2->cacheSecs = 666;

$schema = '';
if($_REQUEST{ 'table' }=='iuser'){$schema = 'shared.';}

$rs2 = $dbcon2->Execute( 'SELECT * FROM timecard_timerecord' );

if ( isset( $_REQUEST{ 'table' } ) )
{
   for (
      $rs = $dbcon->Execute( 'SELECT * FROM timecard.timerecord' );
      ! $rs->EOF;
      $rs->moveNext() )
   {
      // print_r( $rs->fields );
      print $dbcon2->GetInsertSQL( $rs2, $rs->fields ) . ';' . NL;
   }
}
else
{
   print 'Need argument "table"';
}

//========================================================================

runLightEndProcesses();

//========================================================================

?>