<?php

/*
DefectController
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/07/09 20:09:49 $
$Log: DefectController.php,v $
Revision 1.1  2003/07/09 20:09:49  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.DevelopmentItemControllers.ADevelopmentItemController' );

//========================================================================

/*!
@class DefectController
@abstract - a concrete ADevelopmentItemController that handles Defect objects
*/

class DefectController extends ADevelopmentItemController
{

//========================================================================

   /*!
   @function DefectController()
   @discussion -
      This class should NOT be directly instantiated.  Use
      a ADevelopmentItemController::create / create2 instead.

   @result - constructs a new DefectController ADevelopmentItemController
   */

   function DefectController()
   {
      $this->ADevelopmentItemController();
   }

//========================================================================

   /*!
   @function _createDevelopmentItem
   */

   function &_createDevelopmentItem()
   {
      importClass( 'Bugs.Defect' );
      return new Defect();
   }

//========================================================================

   /*!
   @function _createField( $name )
   */

   function &_createField( $name )
   {
      switch ( $name )
      {
         case 'severity':
         $field =& $this->_createSelect1(
            'Bugs.Severity',
            'severity' );
         $field->setEnabled( $this->_creatingNew() );
         return $field;

         case 'frequency':
         $field =& $this->_createSelect1(
            'Bugs.Frequency',
            'frequency' );
         $field->setEnabled( $this->_creatingNew() );
         return $field;

         case 'steps':
         $field =& $this->_createTextArea( 'steps', 'Steps to Reproduce' );
         $field->setEnabled( $this->_creatingNew() );
         return $field;

         default:
         return parent::_createField( $name );
      }
   }

//========================================================================

};

?>