<?php

/*
FavoriteItemSetField
$Author: dougqh $
$Revision: 1.2 $
$Date: 2004/01/13 14:41:46 $
$Log: FavoriteItemSetField.php,v $
Revision 1.2  2004/01/13 14:41:46  dougqh
- ?

Revision 1.1  2004/01/08 15:29:44  dougqh
- A new ALightFormField used for selecting / creating a FavoriteItemSet



IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'DatabaseUI.ALightExistingOrNewItemField' );

//========================================================================

/*!
@class FavoriteItemSetField
@abstract -
*/

class FavoriteItemSetField extends ALightExistingOrNewItemField
{

//========================================================================

   /*!
   @function FavoriteItemSetField( $iterator, $name, $displayName )
   @param $iterator - an IIterator< FavoriteItemSet >
   @param $name - an internal String
   @param $displayName - a user-presentable String
   */

   function FavoriteItemSetField( &$iterator, $name, $displayName )
   {
      $this->ALightExistingOrNewItemField( $iterator, $name, $displayName );
   }

//========================================================================

   /*!
   @function _getPrototype()
   */
   function &_getPrototype()
   {
      importClass( 'Bugs.FavoriteItemSet' );
      return FavoriteItemSet::getPrototype();
   }

//========================================================================

   /*!
   @function _createEntryComponent()
   */

   function &_createEntryComponent()
   {
      $favSet =& $this->getValue();
      if ( is_null( $favSet ) )
      {
         $text = '';
      }
      elseif ( $favSet->isNew() )
      {
         $text = $favSet->getIdentifyingString();
      }
      else
      {
         $text = '';
      }

      importClass( 'HTMLComponents.LightForms.TextComponent' );
      $textComp =& new TextComponent( $this->getName() . '_new', $text, 50, 50 );

      importClass( 'HTMLComponents.RawHTML' );
      return new RawHTML( 'Description: ' . $textComp->getHTML() );
   }

//========================================================================

   /*!
   @function _createNewFromRequest()
   */

   function &_createNewFromRequest()
   {
      if (
         isset( $_REQUEST{ $this->getName() . '_new' } ) &&
         ! isEmpty( $_REQUEST{ $this->getName() . '_new' } ) )
      {
         importClass( 'Bugs.FavoriteItemSet' );
         return FavoriteItemSet::staticCreateNew( $_REQUEST{ $this->getName() . '_new' } );
      }
      else
      {
         return toRef( NULL );
      }
   }

//========================================================================

};

?>