<?php

/*
APortlet
$Author: dougqh $
$Revision: 1.4 $
$Date: 2004/01/07 21:48:25 $
$Log: APortlet.php,v $
Revision 1.4  2004/01/07 21:48:25  dougqh
- ?

Revision 1.3  2004/01/05 16:27:31  dougqh
- Added a header comment

Revision 1.2  2003/07/18 15:08:50  millz
- slight update to graphics

Revision 1.1  2003/07/09 20:17:26  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'HTMLComponents.AHTMLComponent' );

//========================================================================

/*!
@class APortlet
@abstract -
*/

class APortlet extends AHTMLComponent
{

//========================================================================

   var $name;
   var $bodyHTML;

//========================================================================

   /*!
   @function APortlet(  $name )
   @param $name - the title of the APortlet
   @discussion - constructs a new APortlet object
   @result - constructs a new APortlet object
   */

   function APortlet( $name, $bodyHTML = UNSPECIFIED )
   {
      $this->AHTMLComponent();

      $this->name = $name;
      $this->bodyHTML = $bodyHTML;
   }

//========================================================================

   /*
   @function getHTML()
   @discussion - builds and returns the html rep of this component
   @result - html string
   */

   function getHTML()
   {
      importClass( 'HTMLComponents.Table.Table' );
      $table =& new Table( $this->name.' APortlet' );
      $table->setWidth( '100%' );
      // $table->setBorder( 1 );
      $table->setCellPadding( 1 );
      $table->setCellSpacing( 0 );

      $titleTable =& new Table();
      $titleTable->setCellPadding( 1 );
      $titleTable->setWidth( '100%' );
      importClass( 'Display.Color' );
      $titleTable->startRow( Color::getColor( 220, 220, 195) );

      importClass( 'HTMLComponents.Table.TableCell' );
      importClass( 'HTMLComponents.Images.StaticInternalImage' );
      $cell =& new TableCell(new StaticInternalImage( 'portletLeft.gif', 'Decoration' ));
      $cell->setWidth( 10 );
      $titleTable->addCell( $cell );

      importClass( 'HTMLComponents.RawHTML' );
      $titleTable->addCell( new RawHTML('<b>'.$this->name.'</b>') , LEFT);


      $titleTable->addCell( new StaticInternalImage( 'portletRight.gif', 'Decoration' ), RIGHT );

      $table->startRow();
      $table->addCell(  $titleTable );

      if( $this->bodyHTML === UNSPECIFIED )
      {
         $this->bodyHTML = $this->_getBodyHTML();
      }

      $table->startRow();
      $table->addCell( new RawHTML($this->bodyHTML), UNSPECIFIED, 2 );

      importClass( 'HTMLComponents.SimpleBorderDecorator' );

      $borderedTable =& new SimpleBorderDecorator( $table );

      return $borderedTable->getHTML();
   }

//========================================================================

   /*!
   @function _getBodyHTML()
   */

   /* abstract function _getBodyHTML() */

//========================================================================

};

?>