<?php

/*
RecentItemSetPortlet
$Author: millz $
$Revision: 1.3 $
$Date: 2004/01/08 18:11:32 $
$Log: RecentItemSetPortlet.php,v $
Revision 1.3  2004/01/08 18:11:32  millz
- updating label logic for viewed date

Revision 1.2  2004/01/07 19:23:32  millz
- changed to use static creator for DevelopmentItemResultsView

Revision 1.1  2004/01/06 15:43:51  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.Portlets.APortlet' );

//========================================================================

/*!
@class RecentItemSetPortlet
@abstract -
*/

class RecentItemSetPortlet extends APortlet
{

//========================================================================

   var $iter;

//========================================================================

   /*!
   @function RecentItemSetPortlet( $iter )
   @discussion - constructs a new RecentItemSetPortlet object
   @result - constructs a new RecentItemSetPortlet object
   */

   function RecentItemSetPortlet( &$recentSet )
   {
        $this->APortlet( 'My Recently Viewed Items' );
        $this->recentSet =& $recentSet;
        $this->iter =& $recentSet->getDevelomentIDIterator();
   }

//========================================================================

   /*!
   @function &createCurrentUserRecentItemSetPortlet()
   */
   /*static*/
    function &createCurrentUserRecentItemSetPortlet()
    {
        importClass( 'Shared.User' );
        $user =& User::getCurrentUser();
        $recentSet =& $user->getRecentItems();

        // importClass( 'Collections.StaticMethodIterator' );
        // importClass( 'Collections.HashIterator' );

        // importClass( 'Bugs.ADevelopmentItem' );
       //  return DevelopmentItemListPortlet::create( 'My Recently Viewed Items', new StaticMethodIterator( 'ADevelopmentItem','getFromPrimaryID', new HashIterator($recentSet->getDevelopmentItemIds()) ) );
        return new RecentItemSetPortlet( $recentSet );
    }

//========================================================================

    function _getBodyHTML()
    {
        importClass( 'HTMLComponents.Table.Table' );
        importClass( 'HTMLComponents.Text' );
        $table =& new Table();
        $table->setWidth( '100%' );

        $numSeen = 0;

        // $table->addCell( Text::createBoldText('Favorite Group Description') );
        // $table->addCell( Text::createBoldText('Number Items') );

        // importClass( 'BugUI.Views.FavoriteItemSetView' );

        for ( $this->iter->reset(); ! $this->iter->isEnd() && $numSeen < 7; $this->iter->moveNext() )
        {
            $develID =& $this->iter->getCurrentKey();
            $timeViewed =& $this->iter->getCurrent();

            importClass( 'Bugs.ADevelopmentItem' );
            $devItem =& ADevelopmentItem::getFromPrimaryID( $develID );
            if ( $devItem->isNull() ) return;

            //$view =& FavoriteItemSetView::create( $favSet );

            // $table->startRow();
            //$table->addCell( $view->getDisplayOperation() );
            // $table->addCell( new Text( $develID ) );

            importClass( 'BugUI.Portlets.DevelopmentItemListPortlet' ); // for constants
            importClass( 'HTMLComponents.Text' );
              importClass( 'HTMLComponents.RawHTML' );

              if( $numSeen % 2 == 0 )
              {
                 $rowColor =& Color::getColor( 255,255,255 );
              }
              else
              {
                 $rowColor =& Color::getColor( 230,230,230 );
              }

              $numSeen++;
              $table->startRow( $rowColor );

              importClass( 'Display.Font' );

              $numSecsAgo = time() - $timeViewed;
              if( $numSecsAgo > 60*60*24 ){ $label = 'days'; $timeSince = number_format($numSecsAgo / (3600*24) , 1); }
              elseif( $numSecsAgo > 60*60 ){ $label = 'hours'; $timeSince = number_format($numSecsAgo / 3600 , 1); }
              else{ $label = 'minutes'; $timeSince = number_format($numSecsAgo / 60, 1 ); }
              // $numMinutesAgo = number_format( (time() - $timeViewed)/60, 1 );
              // $label = 'minutes';

              // if( $numMinutesAgo > 60 ){ $label = 'hours'; $numMinutesAgo = number_format($numMinutesAgo / 60); }

              $viewedText = 'Viewed: '.date('F j, Y, g:i a',$timeViewed) . ' ('.$timeSince.' '.$label.' ago)';

              $table->addCell( new Text( $viewedText   ), UNSPECIFIED, 2 );

              $table->startRow( $rowColor );

              $subjectTextObj =& new Text( $devItem->getSubject() );
              $subjectTextObj->setFont( Font::getFont( true, true ) );

              importClass( 'BugUI.OtherComponents.DevelopmentItemLinks' );
              $linkComp =& new DevelopmentItemLinks( $devItem  );
              $table->addCell( $subjectTextObj );
              $table->addCell( $linkComp, RIGHT );

              $table->startRow( $rowColor );

              $report = $devItem->getReport();
              if ( strlen( $report ) > PORTLET_MAX_REPORT_DISPLAY_LENGTH )
              {
                 $report = substr( $report, 0 , PORTLET_MAX_REPORT_DISPLAY_LENGTH ) . '...';
              }

              $reportTextObj =& new Text( $report );
              $reportTextObj->setFont( Font::getFont( 'Tahoma', '-1' ) );

              $table->addCell( $reportTextObj, UNSPECIFIED, 2 );


        }

         if( $numSeen == 0 )
         {
         $table->startRow();
         importClass( 'HTMLComponents.RawHTML' );

         //TODO: Get rid of this non-XHTML compliant code
         $table->addCell(
            new RawHTML( '<font color="666666" size="-2">Your "Recently Viewed" list has not been created, view issues to automatically create it.</font>' ),
            CENTER );
          }
          else
          {
         importClass( 'BugUI.Views.DevelopmentItemResultsView' );
         $view =& DevelopmentItemResultsView::create2( $this->recentSet->getDevelomentItemIterator() );


         $operation =& $view->getDisplayOperation();

         $count = $this->iter->getCount();
         $text =
            ( $count > 1 ) ?
            '[View All ' . $count . ' Results Ordered By Priority]' :
            '[View Item in Results View]';

         importClass( 'Display.Color' );
         $table->startRow( Color::getColor( 240, 240, 255 ) );
         $table->addCell(
            $operation->getLink(
               new Text( $text ) ),
               UNSPECIFIED,
               INFINITY );

        }

        return $table->getHTML();
    }
//========================================================================

};

?>