<?php

/*
AddToFavoriteItemSetAction
$Author: dougqh $
$Revision: 1.1 $
$Date: 2004/01/13 18:01:58 $
$Log: AddToFavoriteItemSetAction.php,v $
Revision 1.1  2004/01/13 18:01:58  dougqh
- AFavoriteItemSetAction that adds to a new or existing FavoriteItemSet


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.UIHelpers.FavoriteItemSet.AFavoriteItemSetAction' );

//========================================================================

/*!
@class AddToFavoriteItemSetAction
@abstract -
*/

class AddToFavoriteItemSetAction extends AFavoriteItemSetAction
{

//========================================================================

   /*!
   @function AddToFavoriteItemSetAction( $user )
   @param $user - the User invoking this Action
   */

   function AddToFavoriteItemSetAction( &$user )
   {
      $this->AFavoriteItemSetAction( $user );
   }

//========================================================================

   /*!
   @function _createFromRequest()
   */
   function &_createFromRequest( &$user )
   {
      return new AddToFavoriteItemSetAction( $user );
   }

//========================================================================

   /*!
   @function _getActionID()
   */
   function _getActionID()
   {
      return ADD_TO_FAVORITE_ITEM_SET_ACTION;
   }

//========================================================================

   /*!
   @function getDisplayName()
   */
   function getDisplayName()
   {
      return 'Add checked items to Favorites Group ...';
   }

//========================================================================

   /*!
   @function getFieldDisplayName()
   */
   function getFieldDisplayName()
   {
      return 'Selected items';
   }

//========================================================================

   /*!
   @function isEnabled()
   */
   function isEnabled()
   {
      return true;
   }

//========================================================================

   /*!
   @function execute( $checkBoxGroup )
   */
   function execute( &$checkBoxGroup )
   {
      importClass( 'BugUI.Views.AddToFavoriteItemSetView' );
      $this->nextView =& AddToFavoriteItemSetView::create( $checkBoxGroup->getChecked() );
   }

//========================================================================

   /*!
   @function getTarget()
   */

   function getTarget()
   {
      return '_blank';
   }

//========================================================================

   /*!
   @function getNextView()
   */
   function &getNextView()
   {
      return $this->nextView;
   }

//========================================================================

};

?>