<?php

/*
ProjectFieldFactory
$Author: millz $
$Revision: 1.2 $
$Date: 2004/04/01 22:09:08 $
$Log: ProjectFieldFactory.php,v $
Revision 1.2  2004/04/01 22:09:08  millz
dealing with a few more fields, such as clientType

Revision 1.1  2004/03/24 19:42:58  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/

importClass( 'DatabaseUI.ADbItemFieldFactory' );

/*!
@class ProjectFieldFactory
@abstract - 
*/

class ProjectFieldFactory extends ADbItemFieldFactory
{

//========================================================================

   // <class vars>

//========================================================================

   /*!
   @function ProjectFieldFactory()
   @discussion - constructs a new ProjectFieldFactory object
   @result - constructs a new ProjectFieldFactory object
   */
   
   function ProjectFieldFactory()
   {
        $this->ADbItemFieldFactory();
   }

//========================================================================

   /*!
   @function _createField( $name )
   @param $name - a String - the name of a field
   @discussion - creates the ALightFormField that corresponds to the given
      name
   @result - returns an ALightFormField
   */

   function &_createField( $name )
   {

      $canFix = true;

      $isNew = $this->_creatingNew();

      if ( ! $isNew )
      {
         $dbItem =& $this->getDbItem();
      }


      switch ( $name )
      {
         //---------------------------------------------------------------

         case 'name':
         $field =& $this->_createShortText( $name, 'Name' );
         if( !$isNew ){ $field->setValue( $dbItem->getName() ); }
         return $field;

         //---------------------------------------------------------------

         case 'defaultTester':
         $field =& $this->_createSelect1( 'Shared.User', $name, 'Default Tester' );
         $field->setEnabled( true );
         return $field;

         //---------------------------------------------------------------

         case 'categoryName':
         $field =& $this->_createShortText( $name, 'First Category' );
         return $field;

         //---------------------------------------------------------------

         case 'instanceName':
         $field =& $this->_createShortText( $name, 'First Instance' );
         return $field;
         
         //---------------------------------------------------------------

         case 'subprojectName':
         $field =& $this->_createShortText( $name, 'First Sub-Project' );
         return $field;         

         //---------------------------------------------------------------

         case 'clientTypeName':
         $field =& $this->_createShortText( $name, 'First Client Type' );
         return $field;   

         //---------------------------------------------------------------

         default:
         return toRef( NULL );

         //---------------------------------------------------------------

      } //case
   }


//========================================================================

};

?>