<?php

/*
AddProjectView
$Author: millz $
$Revision: 1.2 $
$Date: 2004/04/01 22:07:43 $
$Log: AddProjectView.php,v $
Revision 1.2  2004/04/01 22:07:43  millz
got this to v0.1

Revision 1.1  2004/03/30 21:04:28  millz
-

Revision 1.1  2004/03/24 19:41:57  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/

importClass( 'DatabaseUI.ADbItemFormView' );


   define( 'NEW_PROJECT_ACTION_VAL', 0 );
   define( 'MOD_PROJECT_ACTION_VAL', 1 );

/*!
@class AddProjectView
@abstract - 
*/

class AddProjectView extends ADbItemFormView
{

//========================================================================

   // <class vars>

//========================================================================

   /*!
   @function AddProjectView(  )
   @discussion - constructs a new AddProjectView object
   @result - constructs a new AddProjectView object
   */
   
   function AddProjectView(  )
   {

         $this->ADbItemFormView();
           
   }

//========================================================================

/*!
   @function useTwoColumnTable()
   */
   function useTwoColumnTable()
   {
       return true;
   }

//========================================================================   
   
   /* static */ 
   function &createAdd( )
   {
         //This is magic of the hierarchy, just trust me on this
         return AddProjectView::_staticCreateView(
            new AddProjectView(),
            toRef(null),
            NEW_PROJECT_ACTION_VAL );
   }
   
////========================================================================
//
//   /* static */  
//   function &createModify( &$user )
//   {
//         //This is magic of the hierarchy, just trust me on this
//         return UserFormView::_staticCreateView(
//            new UserFormView(),
//            $user,
//            MOD_PROJECT_ACTION_VAL );
//   }
   
//========================================================================

   function &_createAction( $actionSpecifier )
   {

      importClass( 'BugUI.UIHelpers.Project.AddProjectAction' );
      return new AddProjectAction( (NEW_PROJECT_ACTION_VAL == $actionSpecifier) ); 

   }
   
//========================================================================

   function &_createView( $actionSpecifier )
   {
      return $this->getCopy();
   }
   
//========================================================================

   function getDbItemClass()
   {
      return 'Shared.Project';
   }
   
//========================================================================

   function &_createFieldFactory()
   {
      importClass( 'BugUI.UIHelpers.Project.ProjectFieldFactory' );
      return new ProjectFieldFactory();
   }

//========================================================================

   /*!
   @function &getNextView()
   */

   function &getNextView()
   {
        importClass( 'BugUI.Views.AdminToolsLinksView' );

      return new AdminToolsLinksView();
   }
   
//========================================================================

   function _addFields()
   {
         // Calls the various _add<X> methods of the parent to add the
         // necessary fields to the form body.
         $this->_add( 'name' );
         $this->_add( 'defaultTester' );
         $this->_add( 'categoryName' );
         $this->_add( 'subprojectName' );
         $this->_add( 'instanceName' );
         $this->_add( 'clientTypeName' );
   }

//========================================================================

   function getTitle()
   {
      if ( $this->action->isAdding() )
         return 'Add Project';
      else
         return 'Modify Project';
   }

//========================================================================

   function isEnabled()
   {
      return true;
      importClass( 'Shared.User' );
      $currUser =& User::getCurrentUser();
      
      return $currUser->isAdmin();
   }

//========================================================================

};

?>