<?php

/*
AddSpecialCommentDevelopmentItemFormView
$Author: dougqh $
$Revision: 1.2 $
$Date: 2003/12/09 15:08:23 $
$Log: AddSpecialCommentDevelopmentItemFormView.php,v $
Revision 1.2  2003/12/09 15:08:23  dougqh
Refactoring View->Action->Factory interaction

Revision 1.1  2003/07/09 19:57:45  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.Views.ADevelopmentItemFormView' );

//========================================================================

/*!
@class AddSpecialCommentDevelopmentItemFormView
*/

class AddSpecialCommentDevelopmentItemFormView extends ADevelopmentItemFormView
{

//========================================================================

   /*!
   @function AddSpecialCommentDevelopmentItemFormView()
   @discussion - constructs a new AddSpecialCommentDevelopmentItemFormView object
   @result - constructs a new AddSpecialCommentDevelopmentItemFormView object
   */

   function AddSpecialCommentDevelopmentItemFormView()
   {
      $this->ADevelopmentItemFormView();
   }

//========================================================================

   /*!
   @function _addFields()
   */

   function _addFields()
   {
      $this->_add( 'comment', true );
   }

//========================================================================

   /*!
   @function getParameters()
   */

   function getParameters()
   {
      return
         array_merge_compat(
            parent::getParameters(),
            array( 'devAction' => $this->actionSpecifier ) );
   }

//========================================================================

   /*!
   @function getTitleImage()
   @discussion - override to choose conditionally based on actionSpecifier
   */

   function &getTitleImage()
   {
      switch ( $this->actionSpecifier )
      {
         case MORE_INFO_NEEDED_DEV_ITEM:
         $file = 'markIncomplete_title.jpg';
         break;

         case MORE_INFO_GIVEN_DEV_ITEM:
         $file = 'markMoreInfoGiven_title.jpg';
         break;

         case REOPEN_DEV_ITEM:
         $file = 'markReopen_title.jpg';
         break;
      }

      importClass( 'HTMLComponents.Images.StaticInternalImage' );
      return new StaticInternalImage( $file, $this->getTitle() );
   }

//========================================================================

};

?>