<?php

/*
ReOpenDevelopmentItemFormView
$Author: dougqh $
$Revision: 1.2 $
$Date: 2003/12/09 15:08:23 $
$Log: ReOpenDevelopmentItemFormView.php,v $
Revision 1.2  2003/12/09 15:08:23  dougqh
Refactoring View->Action->Factory interaction

Revision 1.1  2003/07/09 19:57:45  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.Views.ADevelopmentItemFormView' );

//========================================================================

/*!
@class ReOpenDevelopmentItemFormView
@abstract - abstract class that handles most of logic for adding
   a DevelopmentItem
*/

class ReOpenDevelopmentItemFormView extends ADevelopmentItemFormView
{

//========================================================================

   /*!
   @function ReOpenDevelopmentItemFormView()
   @discussion - constructs a new ReOpenDevelopmentItemFormView object
   @result - constructs a new ReOpenDevelopmentItemFormView object
   */

   function ReOpenDevelopmentItemFormView()
   {
      $this->ADevelopmentItemFormView();
   }

//========================================================================

   /*!
   @function create( $devItem )
   @param $devItem - an ADevelopmentItem - to manipulate
   @discussion - provides a new ReOpenDevelopmentItemFormView
      that will alter the specified ADevelopmentItem
   @result - returns a new ReOpenDevelopmentItemFormView
   */

   function &create( &$devItem )
   {
      $devItemFormView =& new ReOpenDevelopmentItemFormView();
      $devItemFormView->_setDevelopmentItem( $devItem );

      return $devItemFormView;
   }

//========================================================================

   /*!
   @function _addFields()
   */

   function _addFields()
   {
      importClass( 'HTMLComponents.Table.TwoColumnTable' );
      $fourColTable =& $this->_getFourColumnTable();


      $this->_add( 'comment', true );
   }

//========================================================================

   /*!
   @function execute()
   */

   function &_execute()
   {
      //produce the View to show now that the form is done
      importClass( 'BugUI.ProjectView' );
      $view =& new ProjectView();
      $view->setProject( $this->getProject() );
      return $view;
   }

//========================================================================

};

?>