<?php

/*
ReviewDevelopmentItemFormView
$Author: millz $
$Revision: 1.4 $
$Date: 2004/05/19 13:42:24 $
$Log: ReviewDevelopmentItemFormView.php,v $
Revision 1.4  2004/05/19 13:42:24  millz
- added duedate field

Revision 1.3  2003/12/09 15:08:23  dougqh
Refactoring View->Action->Factory interaction

Revision 1.2  2003/11/05 14:16:11  dougqh
- Feature 3754

Revision 1.1  2003/07/09 19:57:45  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.Views.ADevelopmentItemFormView' );

//========================================================================

//imported for its constants
importClass( 'Bugs.ADevelopmentItem' );

//========================================================================

/*!
@class ReviewDevelopmentItemFormView
@abstract - abstract class that handles most of logic for adding
   a DevelopmentItem
*/

class ReviewDevelopmentItemFormView extends ADevelopmentItemFormView
{

//========================================================================

   /*!
   @function ReviewDevelopmentItemFormView()
   @discussion - constructs a new ReviewDevelopmentItemFormView object
   @result - constructs a new ReviewDevelopmentItemFormView object
   */

   function ReviewDevelopmentItemFormView()
   {
      $this->ADevelopmentItemFormView();
   }

//========================================================================

   /*!
   @function _addFields()
   */

   function _addFields()
   {
      $this->_add( 'subject', true );

      $this->_add( 'report', true );

      $this->_add( 'priority' );
      
      $this->_add( 'duedate' );

      //$fourColTable =& $this->_getFourColumnTable();
      //$fourColTable->forceNewRow();

      $this->_add( 'category' );

      $this->_add( 'subproject' );

      $this->_add( 'developer' );

      $this->_add( 'newDesignDuration' );

      $this->_add( 'estCodeDuration' );

      $this->_add( 'estMiscDuration' );

      $this->_add( 'developmentPlan', true );
   }

//========================================================================

};

?>