<?php

/*
StatsView
$Author: millz $
$Revision: 1.1 $
$Date: 2003/09/04 17:38:21 $
$Log: StatsView.php,v $
Revision 1.1  2003/09/04 17:38:21  millz
-

Revision 1.3  2003/08/05 03:02:31  millz
- let designers see my verif items

Revision 1.2  2003/07/17 20:51:52  millz
- updated for removed func in Project

Revision 1.1  2003/07/09 19:57:45  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.AView' );

//========================================================================

class StatsView extends AView
{

//========================================================================

   var $project;

//========================================================================
   /*!
   @function StatsView(  $project_id = UNSPECIFIED  )
   @discussion - StatsView constructor
   */

   function StatsView()
   {
      importClass( 'Shared.User' );
      $thisUser =& User::getCurrentUser();
      $this->project =& $thisUser->getCurrentProject();
   }

//========================================================================

   /*!
   @function setProject( $project )
   @param $project -
   */

   function setProject( &$project )
   {
      $this->project =& $project;
   }

//========================================================================

   /*!
   @function getTitle()
   @discussion - gets the title for the home page
   @return - string, title of page
   */

   function getTitle()
   {
      return 'Stats';
   }

//========================================================================

   /*!
   @function getHTML()
   @discussion - gets the html for the home page
   @return - string, html for the home page
   */

   function getHTML()
   {
      importClass( 'HTMLComponents.Table.Table' );

      importClass( 'BugUI.Portlets.DevelopmentItemListPortlet' );
      $portlets = new_array();

      $table =& new Table( 'Project View Main Table' );
      $table->setCellPadding(2);
      $table->startRow();
      $table->setWidth('100%');

      importClass( 'HTMLComponents.Text' );

      importClass( 'Shared.User' );
      $user =& User::getCurrentUser();

      

      importClass( 'BugUI.Portlets.*' );

      $lowerPortlets = new_array();

      $lastTable =& new Table( 'Stats and Links Table' );
      $lastTable->setCellPadding(2);
      $lastTable->startRow();
      $lastTable->setWidth('100%');

      $lowerPortlets[] =& new ProjectStatsPortlet( $this->project );
      $lowerPortlets[] =& new SystemStatsPortlet();
      $lowerPortlets[] =& new PersonalStatsPortlet();
      $lowerPortlets[] =& new AgeStatsPortlet();

      for ( $i = 0; $i < count($lowerPortlets); ++$i )
      {
         if( $i % 2 == 0 )
         {
            $lastTable->addSpacerRow();
            $lastTable->startRow();
         }

         $tableCell =& new TableCell( $lowerPortlets[ $i ] );
         $tableCell->setVerticalAlignment( TOP );
         $tableCell->setWidth('50%');

         $lastTable->addCell( $tableCell );

      }

      return $lastTable->getHTML();

      //return $htmlOut;
   }



//========================================================================

};

?>