<?php

/*
UserFormView
$Author: millz $
$Revision: 1.2 $
$Date: 2004/04/01 22:07:15 $
$Log: UserFormView.php,v $
Revision 1.2  2004/04/01 22:07:15  millz
getting the form to v0.1

Revision 1.1  2004/03/24 19:44:25  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/

//========================================================================

importClass( 'DatabaseUI.ADbItemFormView' );

//========================================================================

   define( 'NEW_USER_ACTION_VAL', 0 );
   define( 'MOD_USER_ACTION_VAL', 1 );

//========================================================================

/*!
@class UserFormView
@abstract - 
*/

class UserFormView extends ADbItemFormView
{

//========================================================================

   // <class vars>

//========================================================================

   /*!
   @function UserFormView()
   @discussion - constructs a new UserFormView object
   @result - constructs a new UserFormView object
   */
   
   function UserFormView()
   {
        
         $this->ADbItemFormView();

   }

//========================================================================   
   
   /* static */ 
   function &createAdd( )
   {
         //This is magic of the hierarchy, just trust me on this
         return UserFormView::_staticCreateView(
            new UserFormView(),
            toRef(null),
            NEW_USER_ACTION_VAL );
   }
   
//========================================================================

   /* static */  
   function &createModify( &$user )
   {
         //This is magic of the hierarchy, just trust me on this
         return UserFormView::_staticCreateView(
            new UserFormView(),
            $user,
            MOD_USER_ACTION_VAL );
   }
   
   
//========================================================================

   /*!
   @function useTwoColumnTable()
   */
   function useTwoColumnTable()
   {
       return true;
   }
   
//========================================================================

   function &_createAction( $actionSpecifier )
   {

      importClass( 'BugUI.UIHelpers.User.UserAction' );
      return new UserAction( (NEW_USER_ACTION_VAL == $actionSpecifier) ); 

   }
   
//========================================================================

   function &_createView( $actionSpecifier )
   {
      return $this->getCopy();
   }
   
//========================================================================

   function getDbItemClass()
   {
      return 'Shared.User';
   }
   
//========================================================================

   function &_createFieldFactory()
   {
      importClass( 'BugUI.UIHelpers.User.UserFieldFactory' );
      return new UserFieldFactory();
   }

//========================================================================

   /*!
   @function &getNextView()
   */

   function &getNextView()
   {
        importClass( 'BugUI.Views.AdminToolsLinksView' );

      return new AdminToolsLinksView();
   }
   
//========================================================================

   function _addFields()
   {
            // Todo - remove this comment when we have another auth mechanism
         if($this->action->isAdding() )
         {
            $table =& $this->_getTwoColumnTable();
            importClass( 'HTMLComponents.Text' );
            $table->addRow( 'Note',Text::createBoldText('In order for this new user to login you'.NL.'must also add this user to your .htaccess file.'.NL.'Be careful to avoid duplicate "Login Names".') );
            $table->addSpacerRow();
         }
         
         // Calls the various _add<X> methods of the parent to add the
         // necessary fields to the form body.
         $this->_add( 'user_name' );
         $this->_add( 'email' );
         $this->_add( 'first_name' );
         $this->_add( 'last_name' );
         //$this->_add( 'currentProject' );
         $this->_add( 'isAdmin' );
         
   }

//========================================================================

   function getTitle()
   {
      if ( $this->action->isAdding() )
         return 'Add User';
      else
         return 'Modify User';
   }

//========================================================================

   function isEnabled()
   {
      return true;
      importClass( 'Shared.User' );
      $currUser =& User::getCurrentUser();
      
      return $currUser->isAdmin();
   }

//========================================================================

};

?>