<?php

/*
Defect
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/07/09 20:34:36 $
$Log: Defect.php,v $
Revision 1.1  2003/07/09 20:34:36  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/

//========================================================================

importClass( 'Bugs.ADevelopmentItem' );

//========================================================================

/*!
@class Defect
@abstract - 
*/

class Defect extends ADevelopmentItem
{

//========================================================================

   /*!
   @function Defect()
   @discussion - constructs a new Defect object
   @result - constructs a new Defect object
   */
   
   function Defect( $primary_id = UNSPECIFIED )
   {
      $this->ADevelopmentItem( $primary_id );
   }

////========================================================================
//
//   /*!
//   @function getTestHours()
//   @discussion - a normal get function
//   @result - returns testHours item for this object
//   */
//
//   function getTestHours()
//   {
//      return $this->testhours;
//   }
//
////========================================================================
//
//   /*!
//   @function _setTestHours( $testhours )
//   @param $testHours - the value to set the testHours member to
//   @discussion - a normal set function
//   @result - returns nothing
//   */
//
//   function setTestHours( $testhours )
//   {
//      $this->testhours = $testhours;
//      $this->_setChanged( true );
//   }
//
////========================================================================
//
//   /*!
//   @function getEstTestHours()
//   @discussion - a normal get function
//   @result - returns estTestHours item for this object
//   */
//
//   function getEstTestHours()
//   {
//      return $this->estTestHours;
//   }
//
////========================================================================
//
//   /*!
//   @function setEstTestHours( $estTestHours )
//   @param $estTestHours - the value to set the estTestHours member to
//   @discussion - a normal set function
//   @result - returns nothing
//   */
//
//   function setEstTestHours( $estTestHours )
//   {
//      $this->estTestHours = $estTestHours;
//      $this->_setChanged( true );
//   }
//
////========================================================================
//
//   /*!
//   @function setFixedDate( $fixedDate )
//   @param $fixedDate - the value to set the fixedDate member to
//   @discussion - a normal set function
//   @result - returns nothing
//   */
//
//   function _setFixedDate( $fixedDate )
//   {
//      $this->fixedDate = $fixedDate;
//      $this->_setChanged( true );
//   }
//
////========================================================================
//
//   /*!
//   @function getFixedNotes()
//   @discussion - a normal get function
//   @result - returns fixedNotes item for this object
//   */
//
//   function getFixedNotes()
//   {
//      return $this->fixedNotes;
//   }
//
////========================================================================
//
//   /*!
//   @function setFixedNotes( $fixedNotes )
//   @param $fixedNotes - the value to set the fixedNotes member to
//   @discussion - a normal set function
//   @result - returns nothing
//   */
//
//   function setFixedNotes( $fixedNotes )
//   {
//      $this->fixedNotes = $fixedNotes;
//      $this->_setChanged( true );
//   }

//========================================================================

   /*!
   @function getReportType()
   @discussion - a normal get function
   @result - returns report type string for this object
   */

   function getReportType()
   {
      return 'Bug';
   }

//========================================================================

   /*!
   @function getStepsToReproduce()
   @discussion - a normal get function
   @result - returns a String
   */

   function getStepsToReproduce()
   {
      return $this->repsteps;
   }

//========================================================================

   /*!
   @function _setStepsToReproduce( $steps )
   @param $steps - the value to set the stepsToRepeatDefect member to
   @discussion - a normal set function
   @result - returns nothing
   */

   function _setStepsToReproduce( $steps )
   {
      $this->repsteps = $steps;
      $this->_setChanged( true );
   }   

//========================================================================

   /*!
   @function _getReportTypeID()
   */

   function _getReportTypeID()
   {
      return DEFECT_ID;
   }

//========================================================================

   /*!
   @function _getDefaultPriority()
   @discussion - computes a default priority based on Frequency
      and Severity
   */

   function &_getDefaultPriority()
   {
      importClass( 'Bugs.Priority' );
      return Priority::compute2(
         $this->getFrequency(),
         $this->getSeverity() );
   }

//========================================================================

};

?>