<?php

/*
GetDevelopmentItemSubjectExecutable
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/09/29 17:02:08 $
$Log: GetDevelopmentItemSubjectExecutable.php,v $
Revision 1.1  2003/09/29 17:02:08  dougqh
Initial revision

Revision 1.2  2003/07/29 15:44:55  dougqh
- millz - added cache handling logic

Revision 1.1  2003/07/10 13:14:11  dougqh
Initial revision

Revision 1.4  2003/01/02 15:16:38  dougqh
- Slight improvement in reporting.

Revision 1.3  2003/01/02 15:03:10  dougqh
- nothing

Revision 1.2  2002/12/11 20:28:25  dougqh
Update to use proper name for clustering set sequence.

Revision 1.1  2002/11/18 22:27:46  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'Executable.Executable' );

//========================================================================

/*!
@class GetDevelopmentItemSubjectExecutable
@abstract -
*/

class GetDevelopmentItemSubjectExecutable extends Executable
{

//========================================================================

   /* const */ var $DEV_ITEM_ID_ARG = 'devItemID';

//========================================================================

   /*!
   @function GetDevelopmentItemSubjectExecutable( $argumentsHash )
   */

   function GetDevelopmentItemSubjectExecutable( $argumentsHash = UNSPECIFIED )
   {
      $this->Executable( $argumentsHash );
   }

//========================================================================

   /*!
   @function getArguments()
   */

   function getArguments()
   {
      return array( $this->DEV_ITEM_ID_ARG => 'Primary ID of an ADevelopmentItem' );
   }

//========================================================================

   /*!
   @function argumentsAreValid()
   */

   function argumentsAreValid()
   {
      return $this->hasArgument( $this->DEV_ITEM_ID_ARG );
   }

//========================================================================

   /*!
   @function getArgumentErrors()
   */

   function getArgumentErrors()
   {
      return 'Required argument ' . $this->DEV_ITEM_ID_ARG . ' was NOT provided.';
   }

//========================================================================

   /*!
   @function _execute()
   */

   function _execute()
   {
      importClass( 'Bugs.ADevelopmentItem' );
      $devItem =& ADevelopmentItem::getFromPrimaryID(
         $this->getArgumentValue( $this->DEV_ITEM_ID_ARG ) );
      if ( $devItem->isNull() )
      {
         print 'Unknown Development Item : ' .
            $this->getArgumentValue( $this->DEV_ITEM_ID_ARG );
      }
      else
      {
         print $devItem->getSubject();
      }
   }

//========================================================================

};

?>