<?php

/*
ATrivialDatabaseItem
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/07/09 21:57:17 $
$Log: ATrivialDatabaseItem.php,v $
Revision 1.1  2003/07/09 21:57:17  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

importClass( 'Database.ADatabaseItem' );

define( 'TRIVIAL_SINGLE_ROW_CACHE_TIME', 10 * 60 );
define( 'TRIVIAL_MULTIPLE_ROW_CACHE_TIME', 10 * 60 );

class ATrivialDatabaseItem extends ADatabaseItem
{

//========================================================================

   var $name;

//========================================================================

   /*!
   @function ATrivialDatabaseItem( [ $primary_id ] )
   @param $primary_id -
   @discussion - ATrivialDatabaseItem constructor.
   */

   function ATrivialDatabaseItem( $primary_id = UNSPECIFIED )
   {
      $this->ADatabaseItem( $primary_id );

      $this->loadedData = false;
   }

//========================================================================

   /*!
   @function getName()
   @discussion - Returns the name of the trivial database item
   @return - returns a string
   */

   function getName()
   {
      return $this->name;
   }

//========================================================================

   /*!
   @function _setName( $name )
   @discussion - Sets the name of the trivial database item.
   @param $name string name for this trivial database item
   */

   function _setName( $name )
   {
      $this->name = $name;

      $this->_setChanged( true );
   }

//========================================================================

   /*!
   @function getDefaultOrderBy()
   @discussion - returns a string for the column(s) to order by and in what direction - do not return the 'ORDER BY'
   @result - string
   */

   function getDefaultOrderBy()
   {
      return 'name';
   }

//========================================================================

   /*!
   @function getAllColumns()
   @discussion - returns the columns for this item's row
   */

   function getAllColumns()
   {
      return array( $this->getPrimaryColumn(), 'name' );
   }
//========================================================================

   /*!
   @function _getRegularIdentifyingString()
   @discussion - gets the identifying string (name) for this databse item
   @return - returns a string
   */

   function _getRegularIdentifyingString()
   {
      return $this->getName();
   }

//========================================================================

};

?>