<?php

/*
AHTMLFilter
$Author: millz $
$Revision: 1.1 $
$Date: 2003/09/12 18:42:36 $
$Log: AHTMLFilter.php,v $
Revision 1.1  2003/09/12 18:42:36  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/



//========================================================================

/*!
@class AHTMLFilter
@abstract - 
*/

class AHTMLFilter extends Object
{

//========================================================================

   // <class vars>

//========================================================================

   /*!
   @function AHTMLFilter()
   @discussion - constructs a new AHTMLFilter object
   @result - constructs a new AHTMLFilter object
   */
   
   function AHTMLFilter()
   {
      //require
      {
         // assert( <stuff here> );
      }
      //body
      {
         $this->Object();
      }
      //ensure
      {
         // <invariant here>
      }
   }

//========================================================================

   /*
   @function filter( $htmlString )
   @param $htmlString - the html to filter
   @discussion -
   @result - htmlString
   */

   function filter( $htmlString )
   {
      // temp speed up hack
      // $orig = $htmlString;
      if(strlen($htmlString) < 5) return $htmlString;
      
      preg_match_all ( $this->getRegularExpression(), $htmlString, $matches );
      // preg_match_all ( '/http(s)?:\/\/[^\s\<]+/', $htmlString, $matches );
      
      //return $htmlString;
      
      // return count($matches[0]) . "Matches";
      
      $matchedStrings = $matches[0];
      $replacement = '';
      $lastStart = 0;
      foreach($matchedStrings as $match)
      {
         // if the match ends with three dots we ignore it b/c in bugport that means it was truncated
         // don't break, in case there are more matches left
         if(preg_match ( '/\.\.\.\Z/', $match )) continue;
         
         // where is this match?
         $matchLength = strlen( $match );
         $start = strpos ( $htmlString, $match, $lastStart + strlen($replacement) );
         $end = $start + $matchLength;
         
         // if this is in a tag ignore it
         if( html::sectionIsInTag($htmlString, $start, $end) )
         {
            // print "Found string section [$start,$end] within tag" . BR_NL;
            continue;
         }
         
         // do the replace
         $replacement = $this->getReplacement( $match ); // "<a href=".html_entity_decode($match,ENT_QUOTES).">".$match."</a>";
         $htmlString = substr_replace( $htmlString, $replacement, $start ,$matchLength);
         $lastStart = $start;
      }
      
      return $htmlString;
   }
   
//========================================================================

   /*
   @function getRegularExpression( )
   @discussion -
   @result - string of reg exp => ex.  '/\zhello/'
   */

   function getRegularExpression( )
   {
      unreachablepoint( 'AHTMLFilter::getRegularExpression must be overridden' );
   }   

//========================================================================

   /*
   @function getReplacement(  $match )
   @param $htmlString - the html to filter
   @discussion -
   @result - htmlString
   */

   function getReplacement( $match )
   {
      unreachablepoint( 'AHTMLFilter::getReplacement must be overridden' );
   }
      
   
//========================================================================

   /*
   @function _invariant()
   @discussion - defines a boolean expression that should always be true
      for this object
   @result - returns a boolean expression indicating if the object is in
      a valid state
   */
    
   function _invariant()
   {
      return parent::_invariant();
   }

//========================================================================

};

?>