<?php

/*
AInternalImage
$Author: dougqh $
$Revision: 1.2 $
$Date: 2003/09/29 17:01:29 $
$Log: AInternalImage.php,v $
Revision 1.2  2003/09/29 17:01:29  dougqh
Updated file path handling to work under Windows

Revision 1.1  2003/09/10 13:33:22  dougqh
Initial revision

Revision 1.4  2003/08/29 21:07:35  dougqh
- Using BASE_DIRECTORY constant

Revision 1.3  2003/07/09 21:40:15  dougqh
?

Revision 1.2  2003/03/26 23:45:50  millz
- added getSrc

Revision 1.1  2003/03/26 21:38:43  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'HTMLComponents.Images.AImage' );

//========================================================================

/*!
@class AInternalImage
@abstract -
*/

class AInternalImage extends AImage
{

//========================================================================

   var $absPath;

//========================================================================

   /*!
   @function AInternalImage()
   @discussion - constructs a new AInternalImage object
   @result - constructs a new AInternalImage object
   */

   function AInternalImage()
   {
      $this->AImage();
   }

//========================================================================

   /*
   @function getFileName()
   @discussion - this returns the name of the image file relative to the main images dir
   @result - partial path string
   */

   /* abstract function getFileName(); */

//========================================================================

   /*!
   @function getSrc()
   @discussion -
   @result - partial/full URL string
   */

   function getSrc()
   {
      return '../images/' . fileSlashesToURLSlashes( $this->getFileName() );
   }

//========================================================================

   /*
   @function getAbsoluteFileName()
   @discussion - this returns the name of the image file
   @result - partial path string
   */

   function getAbsoluteFileName()
   {
      if( ! isset( $this->absPath ) )
      {
         $this->absPath = BASE_DIRECTORY . 'images' . DIRECTORY_SEPARATOR . $this->getFileName();
      }

      return $this->absPath;
   }

//========================================================================

};

?>