<?php

/*
LightCheckBoxField
$Author: millz $
$Revision: 1.1 $
$Date: 2004/04/01 22:13:16 $
$Log: LightCheckBoxField.php,v $
Revision 1.1  2004/04/01 22:13:16  millz
Initial revision

Revision 1.1  2003/09/29 18:12:30  dougqh
Initial revision

Revision 1.1  2003/07/09 22:24:07  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'HTMLComponents.LightForms.ALightFormField' );

//========================================================================

/*!
@class LightCheckBoxField
@abstract - a concrete ALightFormField that uses a standard
   input type="text"
*/

class LightCheckBoxField extends ALightFormField
{

//========================================================================

   /*!
   @function LightCheckBoxField( $name, $displayName)
   @param $name - a String
   @param $displayName - a user-presentable String
   @discussion - constructs a new LightCheckBoxField object
   @result - constructs a new LightCheckBoxField object
   */

   function LightCheckBoxField( $name, $displayName, $isChecked = false )
   {
      $this->ALightFormField( $name, $displayName );

        
      $this->setValue( toRef($isChecked) );

   }

//========================================================================

   /*!
   @function _getEnabledHTML()
   */

   function _getEnabledHTML()
   {
      importClass( 'HTMLComponents.LightForms.CheckBox' );
      $comp =& new CheckBox(
         $this->getName(), $this->getValue() );

      return $comp->getHTML();
   }

//========================================================================

   /*!
   @function _getDisabledHTML()
   */

   function _getDisabledHTML()
   {
      importClass( 'HTMLComponents.LongTextBox2' );
      $textComp =& new LongTextBox2( '', $this->getValue() );
      return $textComp->getHTML();
   }

//========================================================================

   /*!
   @function _getDefaultValue()
   */

   function _getDefaultValue()
   {
      return false;
   }

//========================================================================

   /*!
   @function _getFormValue()
   */

   function _getFormValue()
   {
      return
         ( isset( $_REQUEST{ $this->getName() } ) ) ?
         true :
         false;
   }

//========================================================================

};

?>