<?php

/*
LongTextBox2
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/09/10 13:32:19 $
$Log: LongTextBox2.php,v $
Revision 1.1  2003/09/10 13:32:19  dougqh
Initial revision

Revision 1.1  2003/07/09 21:43:01  dougqh
Initial revision

Revision 1.6  2003/03/27 19:56:50  millz
- bug fix

Revision 1.5  2003/03/27 19:19:26  millz
- updated to extend AHTMLComponent

Revision 1.4  2002/12/03 15:07:18  dougqh
- Fixed defect 247.

Revision 1.3  2002/08/02 21:05:57  dougqh
Minor change.

Revision 1.2  2002/07/31 16:49:24  dougqh
Added support to select whether or not to use a LimitedText for
the box.

Revision 1.1  2002/07/01 20:13:07  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( "HTMLComponents.AHTMLComponent" );

//========================================================================

/*!
@class LongTextBox2
@abstract - a stripped down version of LongTextBox that does NOT
   have a dependency on DisplaySettingsSystem
*/

class LongTextBox2 extends AHTMLComponent
{

//========================================================================

   var $title;
   var $text;

//========================================================================

   /*!
   @function LongTextBox2( $title, $text )
   @param $title - a String to use as the title of this
      LongTextBox2 - may be left empty
   @param $text - a String to display in this LongTextBox2
   @discussion - constructs a new LongTextBox2 object
   @result - constructs a new LongTextBox2 object
   */

   function LongTextBox2( $title, $text )
   {
      $this->title = $title;
      $this->text = $text;

      $this->AHTMLComponent();
   }

//========================================================================

   /*!
   @function getHTML()
   @discussion - provides an HTML representation of this View
      in this case that means the HTML representation of the
      HTMLComponent this class was constructed with
   @result - returns an HTML representation of this View
   */

   function getHTML()
   {
      importClass( 'Display.Color' );
      $tableColor =& Color::getColor( 192, 192, 192 );
      $cellColor =& Color::getColor( 245, 245, 245 );

      if( $this->text == '' )
      {
         if ( $this->title )
         {
            importClass( 'HTMLComponents.LongText' );
            $titleText =& new LongText( 'No ' . $this->title );
         }
         else
         {
            $html = 'None';
         }
      }
      else
      {
         $html = '<table bgcolor="' . $tableColor->getHexString() . '" width="100%" cellpadding="2" cellspacing="1" border="0">' . NL;

         if ( $this->title != '' )
         {
            importClass( 'HTMLComponents.LongText' );
            $titleText =& new LongText( $this->title );
            $html .= '<tr><td>' . $titleText->getHTML() . '</td></tr>' . NL;
         }

         importClass( 'HTMLComponents.LongText' );
         $bodyText =& new LongText( $this->text, 1.25 * STANDARD_MAX_LINE_LENGTH );

         $html .= '<tr><td bgcolor="' . $cellColor->getHexString() . '">' . $bodyText->getHTML() . '</td></tr>' . NL;

         $html .= '</table>' . NL;
      }

      return $html;
   }

//========================================================================

};

?>