<?php

/*
UserType
$Author: dougqh $
$Revision: 1.2 $
$Date: 2003/12/18 20:42:27 $
$Log: UserType.php,v $
Revision 1.2  2003/12/18 20:42:27  dougqh
Updated to work under PHP 4.2

Revision 1.1  2003/09/09 21:01:07  stage
Initial revision

Revision 1.1  2003/07/09 20:33:12  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

importClass( 'Database.ATrivialDatabaseItem' );


//These constants are
define( 'DEVELOPER_USER_TYPE_ID', 2  );
define( 'DESIGNER_USER_TYPE_ID', 4  );
define( 'QUALITY_ASSURANCE_USER_TYPE_ID', 7  );
define( 'PROJECT_LEADER_USER_TYPE_ID', 8  );
define( 'QA_LEAD_USER_TYPE_ID', 112  );


//define( 'More Info. Given', 211  );


class UserType extends ATrivialDatabaseItem
{

//========================================================================

   /*!
   @function UserType()
   @discussion /*!
   @discussion - constructor for the UserType database item
   */

   function UserType( $primary_id = UNSPECIFIED )
   {
      $this->ATrivialDatabaseItem( $primary_id );
   }

//========================================================================

   /*!
   @function getPrototype()
   @discussion - provides the UserType prototype
   */

   /* static */
   function &getPrototype()
   {
      return UserType::_getPrototype( __FILE__ );
   }

//========================================================================

   /*!
   @function getFromPrimaryID( $primary_id )
   @discussion -
   */

   /* static */
   function &getFromPrimaryID( $primary_id )
   {
      return UserType::_getFromPrimaryID(
         UserType::getPrototype(),
         $primary_id );
   }

//========================================================================

   /*!
   @function getDefaultOrderBy()
   @discussion - returns a string for the column(s) to order by and in what direction - do not return the 'ORDER BY'
   @result - string
   */

   function getDefaultOrderBy()
   {
      return $this->getPrimaryColumn();
   }

//========================================================================

   /*!
   @function getTable()
   @discussion - returns the table that this class gets its data from
   @return - returns a string
   */

   function getTable()
   {
      return SHARED_SCHEMA . '.usertype';
   }

//========================================================================

};

?>