<?php

##################################################################
#                                                                #
# INCOGEN BugPort configuration file               Sept 28, 2003 #
# -------------------------------------------------------------- #
# This file sets up the minimum information needed               #
# to connect to the database                                     #
#                                                                #
#                                                                #
# If you wish to comment a variable in this file, please         #
# use this form (with the comment on the same line as the var):  #
# $var = '123'; # commenting here on $var                        #
#                                                                #
##################################################################


# this is the directory to use for attachment files - this MUST be outside the document root of your web server!
# i.e. do not put this underneath your 'htdocs', 'html', or 'public_html' directory!
# make sure that your web server user can write to this directory
#   Note: A trailing slash is optional.  If you include a trailing \, you'll need to use \\ to avoid escaping the ' character.
#		Windows Users: If single quotes are use it is not necessary to escape \
$attachmentDirectory = '/usr/local/apache/bugportAttachments';

#Change [your-server.com]
$systemEmail = 'do_not_reply@[your-server.com]';

$db_user = '';          # the login name for the database account
$db_pass = '';          # the password for the database user listed above
$db_host = '';          # the hostname or ip of the database server
$db_port = '';          # the port of the database server - set to empty string for default port
$db_type = 'mysql';     # what database is used for this system

$sequenceSchema = 'bugport';
$sharedSchema = 'bugport';
$bugSchema = 'bugport';

# ----- OPTIONAL SETTINGS ------

# Where bugport is installed - this dir contains the php_classes directory
#   Note: A trailing slash is optional.  If you include a trailing \, you'll need to use \\ to avoid escaping the ' character.
#		Windows Users: If single quotes are use it is not necessary to escape \
# This setting is now optional.
# $home = '/usr/local/apache/htdocs/bugport';

# Optional - if omitted assumed to be $home . 'adodb';
#   Note: A trailing slash is optional.  If you include a trailing \, you'll need to use \\ to avoid escaping the ' character.
#		Windows Users: If single quotes are use it is not necessary to escape \
# $adoDir = '/some/path/here/to/adodb';   

#Strict QA verification is disabled if $enableStrictVerification is not set
# or has weak equivalence to false
#Uncomment to enable
# $enableStrictVerification = 1;

#Do not set to suppress check
#If set apache_child_terminate must be enabled in php.ini
# $maxApacheChildMemory = 96 * 1024; #max in kilobytes

#Does NOT usually need to be set.  BugPort will attempt to select
#the appropriate setting; however, it may be set to 0 or 1
#to include or exclude angle brackets around bare email addresses
#$emailUseAngleBrackets=

# $versionType = 'DEVELOPMENT'; #uncomment this to run in development mode

?>