# Copyright 1999-2003 Josh Glover <jmglov@jmglov.net>
# Distributed under the terms of the GNU General Public License v2

S=${WORKDIR}/${PN}
DESCRIPTION="Database class library which hides the differences between the different databases supported by PHP"
HOMEPAGE="http://php.weblogs.com/adodb"
SRC_URI="http://phplens.com/lens/dl/adodb404.tgz"

LICENSE="BSD"
SLOT="0"
KEYWORDS="x86 ~ppc ~sparc ~mips ~alpha ~arm ~hppa ~amd64 ~ia64"

RDEPEND=">=virtual/php-4.0.5"

DEPEND="${RDEPEND}"

src_compile() {
	einfo "Nothing to compile"
}

src_install() {
	dodir /usr/local/adodb
	cp -r . ${D}/usr/local/adodb
	dohtml -r *.htm
	dodoc *.txt
}
