<?php

define( 'CLASS_DIR', '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'php_classes' );
define( 'IS_GENEPORT4_SCRIPT', true );
require_once( CLASS_DIR . DIRECTORY_SEPARATOR . 'Libraries' . DIRECTORY_SEPARATOR . 'importLibrary.php' );

primeImport();

runLightStartUpProcesses();

//========================================================================

function printIterator( &$iterator )
{
   print 'Iterator: ' . $iterator->getObjectID() . BR_NL;
   for ( $iterator->reset(); ! $iterator->isEnd(); $iterator->moveNext() )
   {
      print_r( $iterator->getCurrent() );
      print BR_NL;
   }
   print BR_NL;
}

//========================================================================

importClass( 'Collections.IteratorFactory' );
$iter0 =& IteratorFactory::getHashIterator( toRef( array( 0, 1, 2 ) ) );
$iter1 =& IteratorFactory::getHashIterator( toRef( array( 3, 4, 5 ) ) );

printIterator( $iter0 );
printIterator( $iter1 );

printIterator( IteratorFactory::getNullIterator() );
printiterator( IteratorFactory::getMergeIterator2( $iter0, $iter1 ) );

printIterator(
   IteratorFactory::getScalarIterator( toRef( 27 ) ) );

printIterator(
   IteratorFactory::getMergeIterator3( $iter0, toRef( 4 ) ) );

//========================================================================

runLightEndProcesses();

?>