<?php

//---------------------------------------------------------------



define( 'CLASS_DIR', '..' . DIRECTORY_SEPARATOR . 'php_classes' );
define( 'IS_GENEPORT4_SCRIPT', true );
require_once(
   CLASS_DIR . DIRECTORY_SEPARATOR . 'Libraries' .
   DIRECTORY_SEPARATOR . 'importLibrary.php' );

//print __FILE__ . BR_NL;

primeImport();

runLightStartUpProcesses();

//----------------------------------------

importClass( 'Bugs.Attachment' );
$id = $_REQUEST[ATTACHMENT_ID_VAR_NAME];

$attachment =& Attachment::getFromPrimaryID( $id );
			
$fileOnDisk = $attachment->getAbsoluteFileName();
$download_size = filesize($fileOnDisk);
$filename = $attachment->getFileName();

if( $attachment->showAttachmentInBrowser() ){ $disposition = "inline"; }
else{ $disposition = "attachment"; }

// But in Internet Explorer, whenever I would click the link to downlad, I could only save the file.  If I tried opening the file directly, it gave an error about not being able to find the temporary file.
// After digging around for a while, I found the solution.  You have to set the Cache-Control to private.  So I added the following headers (on top/before the others):

// print $filename; exit;

header("Pragma: public");
header("Expires: 0");
header("Cache-Control: private");

header("Content-Type: " . $attachment->getMimeType() );
header("Content-Disposition: $disposition; filename=$filename");
header("Accept-Ranges: bytes");
header("Content-Length: $download_size");
@readfile($fileOnDisk);


runLightEndProcesses();

?>