<?php

/*
ChangeUserProjectOperation
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/07/09 20:28:56 $
$Log: ChangeUserProjectOperation.php,v $
Revision 1.1  2003/07/09 20:28:56  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.AStatelessOperation' );

//========================================================================

define( 'CHANGE_PROJECT_FIELD_NAME', 'userProjectID' );

//========================================================================

/*!
@class ChangeUserProjectOperation
@abstract - acts by reading $_REQUEST{ CHANGE_PROJECT_FIELD_NAME }
*/

class ChangeUserProjectOperation extends AStatelessOperation
{

//========================================================================

   /*!
   @function ChangeUserProjectOperation()
   */

   function ChangeUserProjectOperation()
   {
      $this->AStatelessOperation();
   }

//========================================================================

   /*!
   @function createFromRequest()
   @discussion - instantiates a ChangeUserProjectOperation from
      the Request variables
   */

   function &createFromRequest()
   {
      return new ChangeUserProjectOperation();
   }

//========================================================================

   /*!
   @function getName()
   */

   function getName()
   {
      return 'Change Project';
   }

//========================================================================

   /*!
   @function getParameters()
   */

   function getParameters()
   {
      return array();
   }

//========================================================================

   /*!
   @function _execute()
   */

   function _execute()
   {
      importClass( 'Shared.User' );
      $user =& User::getCurrentUser();

      importClass( 'Shared.Project' );
      $user->setCurrentProject(
         Project::getFromPrimaryID(
            $_REQUEST{ CHANGE_PROJECT_FIELD_NAME } ) );
   }

//========================================================================

   /*!
   @function allowDuplicateSubmissions()
   */

   function allowDuplicateSubmissions()
   {
      return true;
   }

//========================================================================

};

?>