<?php

/*
PriorityHTMLComponent
$Author: millz $
$Revision: 1.1 $
$Date: 2003/07/23 22:58:05 $
$Log: PriorityHTMLComponent.php,v $
Revision 1.1  2003/07/23 22:58:05  millz
-




IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/

//========================================================================

importClass( "HTMLComponents.AHTMLComponent" );

//========================================================================

/*!
@class PriorityHTMLComponent
@abstract - a class that describes PriorityHTMLComponent
*/

class PriorityHTMLComponent extends AHTMLComponent
{

//========================================================================

   var $font;
   var $html;
   var $color;

//========================================================================

   /*!
   @function PriorityHTMLComponent( $priorityValue )
   @param $text - a string containing the text to be displayed
   @discussion - constructs a new PriorityHTMLComponent object containg the
      string $Email
   @result - constructs a new PriorityHTMLComponent object
   */
   
   function PriorityHTMLComponent( $priorityValue )
   {
      //require
      {
      }
      //body
      {
         $this->html = $priorityValue;
         importClass( "Display.Font" );
         $this->font =& Font::getFont();

         $this->AHTMLComponent();
      }
      //ensure
      {
         assert( "\$this->_invariant()" );
      }
   }  
   
//========================================================================

   /*!
   @function getHTML()
   @discussion - generates HTML that corresponds to this object
   @result - returns a string containg an HTML representation
      of this PriorityHTMLComponent object
   */
   
   function getHTML()
   {
      //require
      {
         assert( "\$this->_invariant()" );
      }
      //body
      {
         importClass( 'Display.Color' );
         $this->color = Color::getColor(30,160,0);
         
         // yes, this is very hardcoded, if the need ever arises for it to be smarter, then make it smarter
         if( strpos($this->html,'4 -') !== false )
         {
            $this->color = Color::getColor(170,0,0);
         }
         if( strpos($this->html,'5 -') !== false )
         {
            $this->html = "<b>".$this->html."</b>";
            $this->color = Color::getColor(210,0,0);
         }
         if( strpos($this->html,'6 -') !== false )
         {
            $this->html = "<i><b>".$this->html."</b></i>";
            $this->color = Color::getColor(255,0,0);
         }
         
         if ( isset( $this->color ) )
         {
            $html = $this->font->getHTMLHead( $this->color->getHexString() );
         }
         else
         {
            $html = $this->font->getHTMLHead();
         }
         
         $html .= $this->html . $this->font->getHTMLTail();
      }
      //ensure
      {
         assert( "\$this->_invariant()" );
      }
      
      return $html;
   }

//========================================================================

   /*
   @function _invariant()
   @discussion - defines a boolean expression that should always be true
      for this object
   @result - returns a boolean expression indicating if the object is in
      a valid state
   */
    
   function _invariant()
   {
      return isInstanceOf( $this->font, 'Font' ) &&
             ( ! isset( $this->color ) ||
               isInstanceOf( $this->color, 'Color' ) ) &&
             parent::_invariant();
   }

//========================================================================

};

?>