<?php

/*
VersionField
$Author: dougqh $
$Revision: 1.3 $
$Date: 2004/01/08 15:28:55 $
$Log: VersionField.php,v $
Revision 1.3  2004/01/08 15:28:55  dougqh
- Extract an abstract base class ALightExistingOrNewItemField and extended it.

Revision 1.2  2004/01/07 19:44:08  dougqh
- Accepting iterator by reference in the constructor

Revision 1.1  2003/07/09 20:26:12  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'DatabaseUI.ALightExistingOrNewItemField' );

//========================================================================

/*!
@class VersionField
@abstract -
*/

class VersionField extends ALightExistingOrNewItemField
{

//========================================================================

   /*!
   @function VersionField( $iterator, $name, $displayName )
   @param $iterator - an IIterator< Version >
   @param $name - an internal String
   @param $displayName - a user-presentable String
   */

   function VersionField( &$iterator, $name, $displayName )
   {
      $this->ALightExistingOrNewItemField( $iterator, $name, $displayName );
   }

//========================================================================

   /*!
   @function _createEntryComponent()
   */

   function &_createEntryComponent()
   {
      $version =& $this->getValue();
      if ( is_null( $version ) )
      {
         $text = '';
      }
      elseif ( $version->isNew() )
      {
         $text = $version->getIdentifyingString();
      }
      else
      {
         $text = '';
      }


      importClass( 'HTMLComponents.LightForms.TextComponent' );
      return new TextComponent( $this->getName() . '_new', $text, 10, 10 );
   }

//========================================================================

   /*!
   @function _createNewFromRequest()
   */

   function &_createNewFromRequest()
   {
      if (
         isset( $_REQUEST{ $this->getName() . '_new' } ) &&
         ! isEmpty( $_REQUEST{ $this->getName() . '_new' } ) )
      {
         importClass( 'Bugs.Version' );
         $version =& new Version();
         $version->_setName( $_REQUEST{ $this->getName() . '_new' } );
         return $version;
      }
      else
      {
         return toRef( NULL );
      }
   }

//========================================================================

};

?>