<?php

/*
Window
$Author: dougqh $
$Revision: 1.5 $
$Date: 2003/09/29 18:15:22 $
$Log: Window.php,v $
Revision 1.5  2003/09/29 18:15:22  dougqh
- Replaced short PHP tag with long PHP tag

Revision 1.4  2003/09/29 18:02:28  dougqh
- Fixed 3564

Revision 1.3  2003/07/29 14:37:49  millz
- added dev bg image

Revision 1.2  2003/07/10 18:58:48  dawn
- Changed title to show ID before Bugport and version info

Revision 1.1  2003/07/09 20:26:12  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

if ( IS_DEVELOPMENT )
{
   define( 'BASE_TITLE', 'Dev BugPort' );
}
else
{
   define( 'BASE_TITLE', 'BugPort' );
}

importClass( 'HTMLComponents.AHTMLComponent' );

class Window extends AHTMLComponent
{

//========================================================================

   var $view;

//========================================================================

   /*!
   @function Window( $view )
   @param $view - AView
   @discussion - constructs a window object
   */

   function Window( &$view )
   {
      $this->view =& $view;
   }

//========================================================================

   /*!
   @function getHTML()
   @discussion - gets the html for the window
   @return - string, html for window
   */

   function getHTML()
   {
      importClass( 'BugUI.OtherComponents.NavigationBar' );
      $navBar =& NavigationBar::getInstance();

      importClass( 'HTMLComponents.CompositeHTMLComponent' );
      $composite =& new CompositeHTMLComponent();
      $composite->add( $navBar );


      importClass( 'HTMLComponents.Table.Table' );
      $imageTable =& new Table( 'Image_table' );

      $imageTable->addSpacerRow();
      $imageTable->startRow();
      importClass( 'HTMLComponents.Images.StaticInternalImage' );
      $imageTable->addCell( new StaticInternalImage( 'moth_logo.jpg', 'Moth' ) );
      $imageTable->addCell( $this->view->getTitleImage() );

      $composite->add($imageTable);
      $composite->add( $this->view );
      $composite->add( $navBar );

      $out = '<html>' . NL;
      $out .= '<head>' . NL;

      importClass( 'HTMLComponents.Scripting.ScriptBlock' );
      $out .= ScriptBlock::getScriptHeadHTML();

      $out .= '<link rel="stylesheet" type="text/css" href="../styleSheet.css">' . NL;
      $out .= '<title>' . $this->view->getTitle() . ' - ' . BASE_TITLE . ' v' . VERSION . '</title>' . NL;
      $out .= '</head>' . NL;
      $out .= '<body bgcolor="#ffffff"';

      if ( IS_DEVELOPMENT )
      {
         $out .= ' bgproperties="fixed"  background="../images/devBackground.gif"';
      }

      $out .= '><center>' . $composite->getHTML() . '</center>';

      $out .= '</body>' . NL;
      $out .= '</html>';

      return $out;
   }

//========================================================================

};

?>