<?php

/*
FavoriteItemSetPortlet
$Author: dougqh $
$Revision: 1.2 $
$Date: 2004/11/15 15:50:01 $
$Log: FavoriteItemSetPortlet.php,v $
Revision 1.2  2004/11/15 15:50:01  dougqh
- Added some methods needed for creating the all favorite item sets page

Revision 1.1  2004/01/06 15:43:45  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.Portlets.APortlet' );

//========================================================================

/*!
@class FavoriteItemSetPortlet
@abstract - 
*/

class FavoriteItemSetPortlet extends APortlet
{

//========================================================================

   var $iter;

//========================================================================

   /*!
   @function FavoriteItemSetPortlet( $iter )
   @discussion - constructs a new FavoriteItemSetPortlet object
   @result - constructs a new FavoriteItemSetPortlet object
   */
   
   function FavoriteItemSetPortlet( $title, &$iter )
   {
        $this->APortlet( $title );
        $this->iter =& $iter;
   }

//========================================================================

	 function &createFavoriteItemSetPortletForUser( &$user )
	 {
        return new FavoriteItemSetPortlet(
        	 $user->getName() . '\'s Favorites',
        	 $user->getFavoriteItemSets() );
	 }
	
//========================================================================

   /*!
   @function &createCurrentUserFavoriteItemSetPortlet()
   */
   /*static*/
    function &createCurrentUserFavoriteItemSetPortlet()
    {
        importClass( 'Shared.User' );
        $user =& User::getCurrentUser();
        return new FavoriteItemSetPortlet(
        	 'My Favorites',
        	 $user->getFavoriteItemSets() );
    }

//========================================================================

    function _getBodyHTML()
    {
        importClass( 'HTMLComponents.Table.Table' );
        importClass( 'HTMLComponents.Text' );
        $table =& new Table();
        $table->setWidth( '100%' );
        
        $table->startRow();
        $table->addCell( Text::createBoldText('Favorite Group Description') );
        $table->addCell( Text::createBoldText('Number Items') );
        
        importClass( 'BugUI.Views.FavoriteItemSetView' );
        
        for ( $this->iter->reset(); ! $this->iter->isEnd(); $this->iter->moveNext() )
        {
            $favSet =& $this->iter->getCurrent();
            $view =& FavoriteItemSetView::create( $favSet );
            
            $table->startRow();
            $table->addCell( $view->getDisplayOperation() );
            $table->addCell( new Text( $favSet->getCount() ) );
        }
        
        return $table->getHTML();   
    }
    
//========================================================================

	  function isEmpty()
	  {
	  	 $this->iter->reset();
	  	 return $this->iter->isEnd();
	  }
    
//========================================================================

};

?>