<?php

/*
AdminToolsLinksView
$Author: millz $
$Revision: 1.1 $
$Date: 2004/04/01 22:07:58 $
$Log: AdminToolsLinksView.php,v $
Revision 1.1  2004/04/01 22:07:58  millz
Initial revision





IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/


//========================================================================

importClass( 'BugUI.AView' );

//========================================================================

/*!
@class AdminToolsLinksView
@abstract -
*/

class AdminToolsLinksView extends AView
{

//========================================================================

   /*!
   @function AdminToolsLinksView()
   @discussion - constructs a new AdminToolsLinksView object
   @result - constructs a new AdminToolsLinksView object
   */

   function AdminToolsLinksView()
   {
      $this->AView();
   }

//========================================================================

   /*!
   @function isEnabled()
   */
   
    function isEnabled()
    {
        importClass( 'Shared.User' );
        $currUser =& User::getCurrentUser();
      
        return $currUser->isAdmin();
    }

//========================================================================

   /*!
   @function getHTML()
   */

   function getHTML()
   {

        importClass( 'HTMLComponents.Text' );
        importClass( 'HTMLComponents.RawHTML' );

        importClass( 'HTMLComponents.Table.Table' );
        $table =& new Table();

        $table->addCell( Text::createBoldText('These tools can be used by BugPort admin users to manage the system'), UNSPECIFIED, 2 );

        //-----------------------------------------
        //importClass( 'BugUI.Views.AddProjectView' );
        //$projectAddView =& AddProjectView::createAdd();
      
        $table->startRow();
        
        // $projectAddView->getDisplayOperation()
        importClass( 'Shared.Project' );
        $projProto =& Project::getPrototype();
        $allProjectsIter =& $projProto->doSearch();
        importClass( 'DatabaseUI.ManagementTable' );
        importClass( 'BugUI.UIHelpers.Project.ProjectManagementOperationFactory' );
        $table->addCell( new ManagementTable( 'Manage Projects', $allProjectsIter, new ProjectManagementOperationFactory()  ) );

        //$table->addCell( new Text('This tool is used to add Projects into the system.') );

        //-----------------------------------------
        importClass( 'BugUI.Views.UserFormView' );
        $projectAddView =& UserFormView::createAdd();
      
        $table->addSpacerRow();
        $table->startRow();
        //$table->addCell( $projectAddView->getDisplayOperation() );

        importClass( 'Shared.User' );
        $userProto =& User::getPrototype();
        $allUsersIter =& $userProto->doSearch();
        importClass( 'DatabaseUI.ManagementTable' );
        importClass( 'BugUI.UIHelpers.User.UserManagementOperationFactory' );
        $table->addCell( new ManagementTable( 'Manage Users', $allUsersIter, new UserManagementOperationFactory()  ) );

        //$table->addCell( new Text('This tool is used to add Users into the system.') );

        //-----------------------------------------
//        importClass( 'BugUI.Views.ProjectElementView' );
//        $projectElementView =& ProjectElementView::createAdd();
//      
//        $table->startRow();
//        $table->addCell( $projectElementView->getDisplayOperation() );
//
//        $table->addCell( new Text('This tool is used...') );


        $table->setCellPadding( 3 );
        return $table->getHTML();
   }

//========================================================================

   /*!
   @function getTitle()
   */

   function getTitle()
   {
      return 'Admin';
   }


//========================================================================

};

?>