<?php

/*
CloseView
$Author: dougqh $
$Revision: 1.1 $
$Date: 2004/01/13 15:42:35 $
$Log: CloseView.php,v $
Revision 1.1  2004/01/13 15:42:35  dougqh
- An AView that closes the current window.


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.AView' );

//========================================================================

/*!
@class CloseView
@abstract - an AView that closes the current window
*/

class CloseView extends AView
{

//========================================================================

   /*!
   @function CloseView()
   */

   function CloseView()
   {
      $this->AView();
   }

//========================================================================


   /*!
   @function getInstance()
   */

   /* static */
   function &getInstance()
   {
      return new CloseView();
   }

//========================================================================

   /*!
   @function createFromRequest()
   */

   /* static */
   function &createFromRequest()
   {
      return CloseView::getInstance();
   }

//========================================================================

   /*!
   @function getTitle()
   */
   function getTitle()
   {
      return 'Closing ...';
   }

//========================================================================

   /*!
   @function getHTML()
   */
   function getHTML()
   {
      //Kind of a hack, oh well
      return '<script>if ( window.opener ) window.opener.focus(); window.close()</script>';
   }

//========================================================================

};

?>