<?php

/*
DevelopmentItemResultsView
$Author: millz $
$Revision: 1.12 $
$Date: 2004/11/18 17:11:00 $
$Log: DevelopmentItemResultsView.php,v $
Revision 1.12  2004/11/18 17:11:00  millz
*** empty log message ***

Revision 1.11  2004/11/15 15:11:21  dougqh
- Added RSS link

Revision 1.10  2004/02/09 15:04:36  dougqh
- 4041

Revision 1.9  2004/01/13 21:32:13  millz
- reformatting checkboxes

Revision 1.8  2004/01/13 19:00:48  dougqh
- Refactored to work AFavoriteItemSetActions

Revision 1.7  2004/01/08 19:48:02  millz
- altered getSubmitText

Revision 1.6  2004/01/08 16:35:11  dougqh
- Minor corrections - now using AddToFavoriteItemSetView

Revision 1.5  2004/01/08 15:30:00  dougqh
- ?

Revision 1.4  2004/01/07 22:18:29  millz
- getting favorite ids

Revision 1.3  2003/12/31 16:02:48  dougqh
- 3923

Revision 1.2  2003/12/17 14:40:58  dougqh
- 3910

Revision 1.1  2003/07/09 19:57:45  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

// importClass( 'CollectionUI.AIteratorView' );
importClass( 'BugUI.ALightFormFieldForm' );

define( 'DETAILS_VIEW_PARAM', 'devResView' );
define( 'DEV_RESULTS_WHERE_PAIR_PARAM', 'devWherePair' );
define( 'DEV_RESULTS_JOIN_PARAM', 'devJoin' );
define( 'DEV_RESULTS_ORDER_PARAM', 'devOrder' );

class DevelopmentItemResultsView extends ALightFormFieldForm // AIteratorView
{

//========================================================================

   var $view;
   var $favSetAction;


//========================================================================

   /*!
   @function DevelopmentItemResultsView()
   @discussion - DevelopmentItemResultsView cunstructor
   */

   function DevelopmentItemResultsView(  )
   {
      $this->ALightFormFieldForm();
      $this->usedSetIterator = true; //as opposed to setIterator2

      $this->useDetails = false;
      importClass( 'BugUI.Views.DevelopmentItemSummaryView' );
      $this->view =& new DevelopmentItemSummaryView();

      importClass( 'Shared.User' );
      importClass( 'BugUI.UIHelpers.FavoriteItemSet.AFavoriteItemSetAction' );
      $this->favSetAction =& AFavoriteItemSetAction::createAddToAction(
         User::getCurrentUser() );

      $this->firstTime = true;
      $this->hasItem = true;
   }

//========================================================================

   /*!
   @function createFromRequest()
   */
   function &createFromRequest()
   {
      if ( isset( $_REQUEST{ DEV_RESULTS_WHERE_PAIR_PARAM } ) )
      {
         $wherePair = $_REQUEST{ DEV_RESULTS_WHERE_PAIR_PARAM };
         if ( ! isset( $wherePair[ 1 ] ) )
         {
            $wherePair[ 1 ] = array();
         }
         if ( ! is_array( $wherePair ) )
         {
            print_r( $wherePair );
            unreachablePoint(
               'Bad wherePair in DevelopmentItemResultsView::createFromRequest' );
         }
      }
      $joinComments = isset( $_REQUEST{ DEV_RESULTS_JOIN_PARAM } );
      if ( isset( $_REQUEST{ DEV_RESULTS_ORDER_PARAM } ) )
      {
         $order = $_REQUEST{ DEV_RESULTS_ORDER_PARAM };
      }
      else
      {
         $order = UNSPECIFIED;
      }

      if ( ! isset( $wherePair ) )
      {
         $view =& new DevelopmentItemResultsView();
         importClass('Database.QueryResultsIterator');
         importClass('Bugs.ADevelopmentItem');
         $view->_setIterator(
            QueryResultsIterator::createFromRequest(
               ADevelopmentItem::getPrototype() ) );

      }
      else
      {
         $view =& new DevelopmentItemResultsView();
         $view->_setIterator2( $wherePair, $order, $joinComments );
      }

      if ( isset( $_REQUEST{ DETAILS_VIEW_PARAM } ) && $_REQUEST{ DETAILS_VIEW_PARAM } )
      {
         $view->_useDetails();
      }

      importClass( 'BugUI.UIHelpers.FavoriteItemSet.AFavoriteItemSetAction' );
      importClass( 'Shared.User' );
      $view->_setFavoriteItemSetAction(
         AFavoriteItemSetAction::createFromRequest(
            User::getCurrentUser() ) );
      return $view;
   }

//========================================================================

   /*!
   @function _getMethod()
   */

   function _getMethod()
   {
      return POST;
   }

//========================================================================

   /*!
   @function useRedirect()
   */
   function useRedirect()
   {
      return true;
   }

//========================================================================

   /*!
   @function _setFavoriteItemSetAction( $action )
   */
   function _setFavoriteItemSetAction( &$action )
   {
      $this->favSetAction =& $action;
   }

//========================================================================

   /*!
   @function getInputFieldNames()
   */
    function getInputFieldNames()
    {
        return array( 'ids' );
    }

//========================================================================

   /*!
   @function &_createField( $name )
   */
    function &_createField( $name )
    {
      return $this->favSetAction->createIDSetField( $name );
    }

//========================================================================

   /*!
   @function &getCheckBoxGroupField()
   */
    function &getCheckBoxGroupField()
    {
      return $this->getField( 'ids' );
    }

//========================================================================

   /*!
   @function allowDuplicateSubmissions()
   */

   function allowDuplicateSubmissions()
   {
      return true;
   }

//========================================================================

   /*!
   @function _getTarget()
   */
   function _getTarget()
   {
      return $this->favSetAction->getTarget();
   }

//========================================================================

   /*!
   @function _isFormEnabled()
   */
   function _isFormEnabled()
   {
      return $this->favSetAction->isEnabled() && $this->hasItem;
   }

//========================================================================

   /*!
   @function _showCancel()
   */
   function _showCancel()
   {
      return false;
   }

//========================================================================

   /*!
   @function _execute()
   */
   function _execute()
   {
      $this->favSetAction->execute( $this->getCheckBoxGroupField() );
   }

//========================================================================

   /*!
   @function &getNextView()
   */
   function &getNextView()
   {
      return $this->favSetAction->getNextView();
   }

//========================================================================

   /*!
   @function create( $wherePair, [ $order ], [ $joinStruct ], [ $useDetails ] )
   @param $wherePair - a WherePair for ADevelopmentItems
      (without a project specification)
   @param $useDetails - a boolean - indicating if DevelopmentItemDetailsView
      should be used for each row
   @discussion - provides a DevelopmentResultsView for the provided
      IIterator
   @result - returns a DevelopmentItemResultsView
   */

   function &create( $wherePair, $order = UNSPECIFIED,
      $joinStruct = UNSPECIFIED, $useDetails = UNSPECIFIED )
   {
      if ( $useDetails === UNSPECIFIED ) $useDetails = false;

      $view =& new DevelopmentItemResultsView( false );
      $view->_setIterator2( $wherePair, $order, $joinStruct );
      if ( $useDetails ) $view->_useDetails();
      return $view;
   }

//========================================================================

   /*!
   @function _getBodyHTML()
   @discussion - generates html
   @return - returns string of raw html
   */

   function _getBodyHTML()
   {
      $this->_startHTMLGeneration();

      $maxCount = $this->getNumRows();

      for (
         $this->iterator->reset(), $count = 0;
         ! $this->iterator->isEnd() && $count < $maxCount;
         $this->iterator->moveNext(), ++$count )
      {

         $this->_handleCurrent( $this->iterator->getCurrent() );
      }

      return $this->_getGeneratedHTML();
   }

//========================================================================

   /*!
   @function _setIterator( &$iterator )
   @param $iterator - an IIterator
   @discussion - sets the IIterator for this View
   */

   function _setIterator( &$iterator )
   {
      $this->iterator =& $iterator;
   }

//========================================================================

   /*!
   @function &create2( &$iter )
   */
    function &create2( &$iter )
    {
        $view =& new DevelopmentItemResultsView();
        $view->_setIterator( $iter );
        return $view;
    }

//========================================================================

   /*!
   @function _setIterator2( $wherePair, [$order], [$joinComments] )
   */

   function _setIterator2( &$wherePair, $order = UNSPECIFIED, $joinComments = UNSPECIFIED )
   {
      $this->usedSetIterator = false;

      importClass( 'Shared.User' );
      $user =& User::getCurrentUser();
      $project =& $user->getCurrentProject();
      //print 'Project: ' . $project->getPrimaryID();

      if ( $joinComments && ( $joinComments !== UNSPECIFIED ) )
      {
         importClass( 'Database.Join' );
         importClass( 'Bugs.Comment' );
         $joinStruct =& Join::createOuter(
               'comment',
               'report.report_id=comment.report_id',
               true,
               Comment::getPrototype() );
      }
      else
      {
         $joinStruct = UNSPECIFIED;
      }

      $this->_setIterator(
         $project->searchDevelopmentItems(
            $wherePair, $order, $joinStruct ) );

      $this->wherePair = $wherePair;
      $this->joinComments = $joinComments;
      $this->order = $order;
   }

//========================================================================

   /*!
   @function _useDetails()
   @discussion - sets this DevelopmentItemResultsView to use a details
      View for each result returned
   */

   function _useDetails()
   {
      $this->useDetails = true;
      importClass( 'BugUI.Views.DevelopmentItemDetailsView' );
      $this->view =& new DevelopmentItemDetailsView( true );
   }

//========================================================================

   /*!
   @function getNumRows()
   @discussion - provides an integer containing the maximum number
      of rows to display
   @result - returns an integer
   */

   function getNumRows()
   {
      return INFINITY;
   }

//========================================================================

   /*!
   @function _startHTMLGeneration
   @discussion - called before the iteration is started to
      prepare for the HTML generation
   */

   function _startHTMLGeneration()
   {
      $this->hasItem = false;

      importClass( 'HTMLComponents.Table.Table' );
      $this->table = new Table( 'main results view table' );
      $this->table->setWidth( '100%' );
      $this->table->setCellPadding( '1' );

      $count = $this->iterator->getCount();
      if ( $count != 0 )
      {         
         $this->table->startRow();
         
         importClass( 'HTMLComponents.CompositeHTMLComponent' );
         $composite =& new CompositeHTMLComponent();         
         
         importClass( 'HTMLComponents.RawHTML' );
         $composite->add( new RawHTML( '<b>Viewing '.$count.' Item(s)</b>' ) );
         
         importClass( 'BugUI.Views.RssView' );
         $rssView =& RssView::create2( $this->iterator );
         $op =& $rssView->getDisplayOperation() ;
         importClass( 'HTMLComponents.Images.StaticInternalImage' );
         $composite->add( $op->getLink( StaticInternalImage::createImage( 'rss.gif', 'View RSS feed for this list of items' ) ) );
         
         $this->table->addCell(  $composite );
      }
   }

//========================================================================

   /*!
   @function _handleCurrent( $object )
   @param $object - an Object of the type provided by the IIterator
   @discussion - called for each Object provided by the IIterator
      in a loop
   */

   function _handleCurrent( &$object )
   {
      $this->hasItem = true;

      $this->table->startRow();

      if ( ! $this->firstTime )
      {
         $this->table->addCell(
            DevelopmentItemResultsView::_getHRImage(),
            CENTER, 2 );
      }

      $this->view->setDevelopmentItem( $object );

      $this->table->startRow();
      if( $this->_isFormEnabled() )
      {
        $checkBoxGroupField =& $this->getCheckBoxGroupField();
        $checkBox =& $checkBoxGroupField->createAndAddCheckBox( $object->getPrimaryID() );
        $this->view->setTitlePrefixComponent( $checkBox );
      }

      $this->table->addCell( $this->view, CENTER );

      $this->firstTime = false;
   }

//========================================================================

   function &_getHRImage()
   {
      static $imageArray;

      if ( ! isset( $imageArray ) )
      {
         //no =& to avoid
         importClass( 'HTMLComponents.Images.StaticInternalImage' );
         $imageArray[ 0 ] =& new StaticInternalImage( 'hr.jpg', 'line' );
      }

      return $imageArray[ 0 ];
   }

//========================================================================

   /*!
   @function _getGeneratedHTML()
   @discussion - called after the iteration is complete to
      get the HTML that has been produced and to do any necessary
      clean-up
   @result - returns a String of HTML
   */

   function _getGeneratedHTML()
   {
      if ( $this->firstTime )
      {
         importClass( 'HTMLComponents.Text' );
         importClass( 'Display.Font' );
         importClass( 'Display.Color' );
         // we found no results
         $this->table->addSpacerRow();
         $this->table->startRow();
         $text = new Text( 'Sorry, no results were located.' );
         $text->setColor( Color::getColor( 173, 0, 0 ) );
         $text->setFont( Font::getFont( 'Tahoma', '14pt', true, false ) );

         $this->table->addCell( $text, CENTER );
         $this->table->addSpacerRow();
      }

      return $this->table->getHTML();
   }

//========================================================================

   /*!
   @function getTitle()
   */

   function getTitle()
   {
      return 'Search Results';
   }

//========================================================================

   /*!
   @function getParameters()
   */
   function getParameters()
   {
      if ( $this->usedSetIterator )
      {
         $params = $this->iterator->getParameters();
      }
      else
      {
         $params = array();
         if ( $this->useDetails ) $params{ DETAILS_VIEW_PARAM } = '1';
         if ( $this->order && $this->order !== UNSPECIFIED )
         {
            $params{ DEV_RESULTS_ORDER_PARAM } = $this->order;
         }
         if ( isset( $this->wherePair ) )
         {
            $params{ DEV_RESULTS_WHERE_PAIR_PARAM } = $this->wherePair;
            if ( isset( $this->joinComments ) && ( $this->joinComments ) )
            {
               $params{ DEV_RESULTS_JOIN_PARAM } = true;
            }
            if ( isset( $this->joinStruct ) && ( $this->joinStruct != UNSPECIFIED ) )
            {
               $params{ DEV_RESULTS_JOIN_PARAM } = $this->joinStruct;
            }
         }
      }
      return array_merge_compat( $params, $this->favSetAction->getParameters() );
   }

//========================================================================

   /*!
   @function getSubmitText()
   */
   function getSubmitText()
   {
      return $this->favSetAction->getDisplayName();
   }

//========================================================================

};

?>