<?php

/*
FavoriteItemSetView
$Author: dougqh $
$Revision: 1.6 $
$Date: 2004/01/13 19:00:30 $
$Log: FavoriteItemSetView.php,v $
Revision 1.6  2004/01/13 19:00:30  dougqh
- Added remove capability

Revision 1.5  2004/01/12 18:55:03  dougqh
- Simplified FavoriteItemSetView getHTML.

Revision 1.4  2004/01/12 18:52:47  millz
- not sure

Revision 1.3  2004/01/08 19:48:20  millz
- added _getHRImage call in getHTML

Revision 1.2  2004/01/07 20:15:21  dougqh
- Added header docs

Revision 1.1  2004/01/06 15:43:20  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.AView' );

//========================================================================

    define( 'FAVORITE_ID', 'favoriteID' );

//========================================================================

/*!
@class FavoriteItemSetView
@abstract -
*/

class FavoriteItemSetView extends AView
{

//========================================================================

   var $favItemSet;

//========================================================================

   /*!
   @function FavoriteItemSetView( $favItemSet )
   @discussion - constructs a new FavoriteItemSetView object
   @result - constructs a new FavoriteItemSetView object
   */

   function FavoriteItemSetView( &$favItemSet )
   {
      $this->favItemSet =& $favItemSet;
      $this->AView();
   }

//========================================================================

    /*!
    @function createFromRequest()
    */

    function &createFromRequest()
    {
        if (
         ! isset( $_REQUEST{ FAVORITE_ID } ) ||
         ! isNumeric( $_REQUEST{ FAVORITE_ID } ) )
        {
         unreachablePoint( 'FavoriteItemSetView::createFromRequest()' );
        }
        else
        {
            importClass( 'Bugs.FavoriteItemSet' );
            return FavoriteItemSetView::create( FavoriteItemSet::getFromPrimaryID( $_REQUEST{ FAVORITE_ID } ) );
        }
    }

//========================================================================

    /*!
    @function create( $favItemSet )
    */
    function &create( &$favItemSet )
    {
        return new FavoriteItemSetView( $favItemSet );
    }

//========================================================================

    /*!
    @function getParameters()
    */

    function getParameters()
    {
        return array( FAVORITE_ID => $this->favItemSet->getPrimaryID() );
    }

//========================================================================

    /*!
    @function getTitle()
    */

    function getTitle()
    {
        return $this->favItemSet->getDescription();
    }

//========================================================================

    /*!
    @function getHTML()
    */

    function getHTML()
    {
        importClass( 'HTMLComponents.Table.Table' );
        $table =& new Table();

        $iter =& $this->favItemSet->getDevelomentItems();
        $table->startRow();
        $table->addCell(
            Text::createBoldText( 'Favorites Group: '.
               $this->favItemSet->getDescription() ) );

        $table->addSpacerRow();

        $table->startRow();
        importClass( 'HTMLComponents.Text' );
//        $table->addCell( new Text( 'Use the checkboxes and the Remove button to remove '.
//                                   'individual items from this Favorites group' ) );

        $table->startRow();
        importClass( 'BugUI.Views.DevelopmentItemResultsView' );
        $view =& DevelopmentItemResultsView::create2( $iter );
        importClass( 'BugUI.UIHelpers.FavoriteItemSet.AFavoriteItemSetAction' );
        importClass( 'Shared.User' );
        $view->_setFavoriteItemSetAction(
           AFavoriteItemSetAction::createRemoveFromAction(
              User::getCurrentUser(), $this->favItemSet ) );
        $table->addCell( $view );

        return $table->getHTML();
    }


//========================================================================

};

?>