<?php

/*
FixDevelopmentItemFormView
$Author: dougqh $
$Revision: 1.3 $
$Date: 2003/12/09 15:08:23 $
$Log: FixDevelopmentItemFormView.php,v $
Revision 1.3  2003/12/09 15:08:23  dougqh
Refactoring View->Action->Factory interaction

Revision 1.2  2003/11/05 14:16:01  dougqh
- Feature 3754

Revision 1.1  2003/07/09 19:57:45  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'BugUI.Views.ADevelopmentItemFormView' );

//========================================================================

/*!
@class FixDevelopmentItemFormView
@abstract - abstract class that handles most of logic for adding
   a DevelopmentItem
*/

class FixDevelopmentItemFormView extends ADevelopmentItemFormView
{

//========================================================================

   /*!
   @function FixDevelopmentItemFormView()
   @discussion - constructs a new FixDevelopmentItemFormView object
   @result - constructs a new FixDevelopmentItemFormView object
   */

   function FixDevelopmentItemFormView()
   {
      $this->ADevelopmentItemFormView();
   }

//========================================================================

   /*!
   @function _addFields()
   @discussion - adds any necessary fields to the form
   */

   function _addFields()
   {
      $this->_add( 'newCodeDuration' );
      $this->_add( 'newMiscDuration' );

      $this->_add( 'fixedClientVersion' );
      $this->_add( 'fixedServerVersion' );

      $this->_add( 'comment', true );
   }

//========================================================================

};

?>