<?php

/*
AVersionFormatter
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/08/01 18:43:46 $
$Log: AVersionFormatter.php,v $
Revision 1.1  2003/08/01 18:43:46  dougqh
- Abstract class that handles version format validation.


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

/*!
@class AVersionFormatter
*/

class AVersionFormatter extends Object
{

//========================================================================

   /*!
   @function AVersionFormatter()
   */

   function AVersionFormatter()
   {
      $this->Object();
   }

//========================================================================

   /*!
   @function isValid( $string )
   @param $string - a String - may be empty
   @discussion - indicates if the provided String can be converted by
      format into the appropriate format

      Note that isValid returning true does NOT mean that string is formatted
      properly.  It means that the string can be formatted properly by calling
      format.
   @result - returns a boolean
   */

   function isValid( $string )
   {
      if ( isEmpty( $string ) )
      {
         return false;
      }
      else
      {
         return $this->_isValid( $string );
      }
   }

//========================================================================

   /*!
   @function _isValid( $string )
   @param $string - a non-empty String
   @discussion - indicates if the provided String can be converted by
      format into the appropriate format

      Note that isValid returning true does NOT mean that string is formatted
      properly.  It means that the string can be formatted properly by calling
      format.
   @result - returns a boolean
   */

   /* abstract function _isValid( $string ); */

//========================================================================

   /*!
   @function format( $string )
   @param $string - a String
   @discussion - formats a "valid" string appropriately
   @result - returns a String
   */

   /* abstract function format( $string ); */

//========================================================================

};

?>