<?php

/*
FeatureRequest
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/07/09 20:34:36 $
$Log: FeatureRequest.php,v $
Revision 1.1  2003/07/09 20:34:36  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'Bugs.ADevelopmentItem' );

//========================================================================

/*!
@class FeatureRequest
@abstract -
*/

class FeatureRequest extends ADevelopmentItem
{

//========================================================================

   /*!
   @function FeatureRequest()
   @discussion - constructs a new FeatureRequest object
   @result - constructs a new FeatureRequest object
   */

   function FeatureRequest( $primary_id = UNSPECIFIED )
   {
      $this->ADevelopmentItem( $primary_id );
   }

//========================================================================

   /*!
   @function getReportType()
   @discussion - a normal get function
   @result - returns report type string for this object
   */

   function getReportType()
   {
      return 'Feature Request';
   }

//========================================================================

   /*!
   @function _getReportTypeID()
   @discussion - provides the reporttype_id for this
      ADevelopmentItem
   @result - returns a RowID
   */

   function _getReportTypeID()
   {
      return FEATURE_REQUEST_ID;
   }

//========================================================================

   /*!
   @function _getDefaultPriority()
   */

   function &_getDefaultPriority()
   {
      importClass( 'Bugs.Priority' );
      return Priority::compute( $this->getFrequency() );
   }

//========================================================================



};

?>