<?php

/*
ReportType
$Author: dougqh $
$Revision: 1.2 $
$Date: 2003/12/18 20:40:41 $
$Log: ReportType.php,v $
Revision 1.2  2003/12/18 20:40:41  dougqh
Updated to work under PHP 4.2

Revision 1.1  2003/07/23 18:54:08  millz
-

Revision 1.2  2003/07/17 14:57:45  millz
- made new constants

Revision 1.1  2003/07/09 20:34:36  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'Database.ATrivialDatabaseItem' );

//========================================================================

class ReportType extends ATrivialDatabaseItem
{

//========================================================================

   /*!
   @function ReportType( [ $primary_id ] )
   @discussion - constructor for the ReportType database item
   */

   function ReportType( $primary_id = UNSPECIFIED )
   {
      $this->ATrivialDatabaseItem( $primary_id );
   }

//========================================================================

   /*!
   @function getPrototype()
   @discussion - provides the ReportType prototype
   */

   /* static */
   function &getPrototype()
   {
      return ReportType::_getPrototype( __FILE__ );
   }

//========================================================================

   /*!
   @function getFromPrimaryID( $primary_id )
   */

   /* static */
   function &getFromPrimaryID( $primary_id )
   {
      return ReportType::_getFromPrimaryID(
         ReportType::getPrototype(),
         $primary_id );
   }

//========================================================================

   /*!
   @function getTable()
   */

   function getTable()
   {
      return 'reporttype';
   }

//========================================================================

   /*!
   @function getDefaultOrderBy()
   */

   function getDefaultOrderBy()
   {
      return 'name DESC';
   }

//========================================================================

};

?>