<?php

/*
HashIterator
$Author: millz $
$Revision: 1.3 $
$Date: 2004/01/06 15:41:44 $
$Log: HashIterator.php,v $
Revision 1.3  2004/01/06 15:41:44  millz
- added getCount

Revision 1.2  2003/11/05 14:20:10  millz
- added getCurrentKey

Revision 1.1  2003/10/21 13:16:06  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'Collections.IIterator' );

//========================================================================

/*!
@class HashIterator
@abstract - an IIterator accross hashs
*/

class HashIterator extends Object /* implements IIterator */
{

//========================================================================

   /*!
   @function HashIterator()
   */

   function HashIterator( &$hash )
   {
      $this->Object();

      $this->hash =& $hash;
      $this->keys = array_keys( $hash );
      $this->numKeys = count( $this->keys );
   }

//========================================================================

    function getCount()
    {
        return $this->numKeys;
    }

//========================================================================

   /*!
   @function reset()
   */

   function reset()
   {
      $this->keyIndex = 0;
   }

//========================================================================

   /*!
   @function isEnd()
   */

   function isEnd()
   {
      return ( $this->keyIndex >= $this->numKeys );
   }

//========================================================================

   /*!
   @function moveNext()
   */

   function moveNext()
   {
      ++$this->keyIndex;
   }

//========================================================================

   /*!
   @function getCurrentKey()
   */

   function getCurrentKey()
   {
      return $this->keys[ $this->keyIndex ];
   }

//========================================================================

   /*!
   @function getCurrent()
   */

   function &getCurrent()
   {
//      print 'Hash' . BR_NL;
//      print_r( $this->hash );
//      print BR_NL;
//      print 'Keys' . BR_NL;
//      print_r( $this->keys );
//      print BR_NL;
//      print 'KeyIndex: ' . $this->keyIndex . BR_NL;
//      print BR_NL;

      return $this->hash{ $this->keys[ $this->keyIndex ] };
   }

//========================================================================

};

?>