<?php

/*
NullIterator
$Author: dougqh $
$Revision: 1.2 $
$Date: 2004/01/07 21:50:55 $
$Log: NullIterator.php,v $
Revision 1.2  2004/01/07 21:50:55  dougqh
- Better error message when calling unreachablePoint

Revision 1.1  2003/10/21 13:16:06  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'Collections.IIterator' );

//========================================================================

/*!
@class NullIterator
@abstract - an IIterator accross an empty set
*/

class NullIterator extends Object /* implements IIterator */
{

//========================================================================

   /*!
   @function NullIterator()
   */

   function NullIterator()
   {
      $this->Object();
   }

//========================================================================

   /*!
   @function reset()
   */

   function reset()
   {
   }

//========================================================================

   /*!
   @function isEnd()
   */

   function isEnd()
   {
      return true;
   }

//========================================================================

   /*!
   @function moveNext()
   */

   function moveNext()
   {
      unreachablePoint( 'NullIterator->moveNext' );
   }

//========================================================================

   /*!
   @function getCurrent()
   */

   function &getCurrent()
   {
      unreachablePoint( 'NullIterator->getCurrent' );
   }

//========================================================================

};

?>