<?php

/*
ADbItemSetAction
$Author: dougqh $
$Revision: 1.1 $
$Date: 2004/01/13 18:02:34 $
$Log: ADbItemSetAction.php,v $
Revision 1.1  2004/01/13 18:02:34  dougqh
- An Action class that eases dealing LightCheckBoxGroupFields composed of IDs.


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

/*!
@class ADbItemSetAction
@abstract -
*/

class ADbItemSetAction extends Object
{

//========================================================================

   /*!
   @function ADbItemSetAction( $user )
   @param $user - the User invoking this ADbItemSetAction
   */

   function ADbItemSetAction( &$user )
   {
      $this->Object();
      $this->user =& $user;
   }

//========================================================================

   /*!
   @function getUser()
   @discussion - provides the User that is executing this ADbItemSetAction
   @return - a User
   */

   function &getUser()
   {
      return $this->user;
   }

//========================================================================

   /*!
   @function execute( $checkBoxGroupField )
   @param $checkBoxGroup - a LightCheckBoxGroupField created by
      createIDSetField
   @discussion - processes the provided input
   */

   /* abstract function execute( &$checkBoxGroupField ); */

//========================================================================

   /*!
   @function getNextView()
   @discussion - provides the next AView to be displayed
   @result - returns an AView
   */

   /* abstract function &getNextView(); */

//========================================================================

   /*!
   @function getTarget()
   */
   function getTarget()
   {
      return '';
   }

//========================================================================

   /*!
   @function getDisplayName()
   @discussion - provides a user presentable name for this ADbItemAction
   @result - return a user-presentable String
   */

   /* abstract function getDisplayName(); */

//========================================================================

   /*!
   @function isEnabled()
   @discussion - indicates if this ADbItemSetAction is enabled
   */

   /* abstract function isEnabled(); */

//========================================================================

   /*!
   @function createIDSetField( $name )
   @discussion - creates an ID set field with the specified name
   @result - returns a ALightCheckBoxGroupField
   */

   /* final */
   function &createIDSetField( $name )
   {
      importClass( 'HTMLComponents.LightForms.LightCheckBoxGroupField' );
      $field =& new LightCheckBoxGroupField( $name, $this->getFieldDisplayName() );
      $field->setRequired( true );
      return $field;
   }

//========================================================================

   /*!
   @function getFieldDisplayName()
   @discussion - provides a display name for the ALightCheckBoxGroupField
      created by createIDSetField
   *

   /* abstract function getFieldDisplayName(); */

//========================================================================

};

?>