<?php

/*
ManagementTable
$Author: millz $
$Revision: 1.1 $
$Date: 2004/04/01 22:11:46 $
$Log: ManagementTable.php,v $
Revision 1.1  2004/04/01 22:11:46  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/

importClass( 'HTMLComponents.AHTMLComponent');

/*!
@class ManagementTable
@abstract - 
*/

class ManagementTable extends AHTMLComponent
{

//========================================================================

   var $iterator;
   var $opFactory;
   var $title;

//========================================================================

   /*!
   @function ManagementTable( $iter, $opFactory )
   @discussion - constructs a new ManagementTable object
   @result - constructs a new ManagementTable object
   */
   
   function ManagementTable( $title, &$iter, &$opFactory )
   {
        $this->title = $title;
         $this->iterator =& $iter;
         $this->opFactory =& $opFactory;
         
         $this->AHTMLComponent();

   }
   
//========================================================================

    /*!
    @function getHTML( )
    @discussion - constructs a new ManagementTable object
    @result - constructs a new ManagementTable object
    */

    function getHTML()
    {
        importClass( 'HTMLComponents.Table.Table' );
        $table =& new Table();
        $table->setWidth( '80%' );
        
        $numCols = 3;
        
        $table->startRow();
        importClass( 'HTMLComponents.Text' );
        $table->addCell( Text::createBoldText($this->title), UNSPECIFIED, $numCols );
        
        importClass( 'Display.Color' );
        $white = Color::getColor( 255, 255, 255);
        $gray = Color::getColor( 233, 233, 233);
        
        $numRows = 0;
        for (
             $this->iterator->reset();
             ! $this->iterator->isEnd();
             $this->iterator->moveNext() )
        {
            $cur =& $this->iterator->getCurrent();
            $color = $numRows % 2 ? $white : $gray;
            $table->startRow( $color );
            $table->addCell( new Text($cur->getIdentifyingString()) );
            $table->addCell( $this->opFactory->getModify( $cur ) );
            $table->addCell( $this->opFactory->getDelete( $cur ) );
            $numRows++;
        }
        $table->startRow();
        importClass( 'HTMLComponents.Images.StaticInternalImage' );
        
        importClass( 'HTMLComponents.CompositeHTMLComponent' );
         $composite =& new CompositeHTMLComponent( ' ' );
         $composite->add( new StaticInternalImage( 'add.gif', 'add item' ) );
        $composite->add( $this->opFactory->getAdd( $cur ) );
        
        $table->addCell( $composite, UNSPECIFIED, $numCols );
        return $table->getHTML();
    }

//========================================================================

};

?>