<?php

/*
AGeneratedImage
$Author: dougqh $
$Revision: 1.2 $
$Date: 2003/09/29 17:01:29 $
$Log: AGeneratedImage.php,v $
Revision 1.2  2003/09/29 17:01:29  dougqh
Updated file path handling to work under Windows

Revision 1.1  2003/09/10 13:33:22  dougqh
Initial revision

Revision 1.3  2003/03/26 23:37:49  millz
- got rid of an extra slash

Revision 1.2  2003/03/26 22:24:15  millz
- small name change

Revision 1.1  2003/03/26 22:15:45  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'HTMLComponents.Images.AInternalImage' );

//========================================================================

/*!
@class AGeneratedImage
@abstract -
*/

class AGeneratedImage extends AInternalImage
{

//========================================================================

   /*!
   @function AGeneratedImage()
   @discussion - constructs a new AGeneratedImage object
   @result - constructs a new AGeneratedImage object
   */

   function AGeneratedImage()
   {
      $this->AInternalImage();
   }

//========================================================================

   /*!
   @function getFileName()
   @discussion - DO NOT OVERRIDE THIS!!! - make an _getFileName  !!!!
   @result - returns the filename relative to the images dir
   */

   function getFileName()
   {
      return GENERATED_IMAGES_SUB_DIR . $this->_getFileName();
   }

//========================================================================

   /*!
   @function _isGenerated()
   @discussion - DO NOT OVERRIDE THIS!!!  !!!!
   @result - returns bool
   */

   function _isGenerated()
   {
      return file_exists( $this->getAbsoluteFileName() );
   }

//========================================================================

   /*!
   @function _cacheIsValid()
   @discussion - DO NOT OVERRIDE THIS!!!
   @result - returns html string
   */

   function getHTML()
   {
      if( !$this->_isGenerated() || !$this->_cacheIsValid() )
      {
         saveImage( $this->_generateImage(), $this->getAbsoluteFileName() );
      }

      return parent::getHTML();
   }

//========================================================================

   /*!
   @function _cacheIsValid()
   @discussion - DO NOT OVERRIDE THIS!!! - make an _getFileName  !!!!
   @result - returns bool to indicate if gener. img. cache is still useable
   */

   function _cacheIsValid()
   {
      return true;
   }

//========================================================================

   /*!
   @function _getFileName()
   @discussion - this is to be overridden
   @result - returns the filename relative to the generated images subdir
   */

   /* abstract function _getFileName(); */

//========================================================================

   /*!
   @function &_generateImage()
   @discussion - this is to be overridden
   @result - returns an image object
   */

   /* abstract function &_generateImage(); */

//========================================================================

};

?>