<?php

/*
Shape
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/09/10 13:33:22 $
$Log: Shape.php,v $
Revision 1.1  2003/09/10 13:33:22  dougqh
Initial revision

Revision 1.2  2003/07/09 21:40:15  dougqh
?

Revision 1.1  2002/07/22 18:42:04  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/

/*!
@class Shape
@abstract - an abstract class from which different shape classes
   may be inherited
@discussion - This class was originally created for use with ImageMap.
*/

/* abstract */
class Shape extends Object
{

//========================================================================

   /*!
   @function Shape()
   @discussion - constructs a new Shape object
   @result - constructs a new Shape object
   */
   
   /* protected */
   function Shape()
   {
      //require
      {
         assert( "isConcrete( \$this, 'Shape',
            new_array( 'getMapShape', 'getMapCoordinates' ) )" );
      }
      //body
      {
         $this->Object();
      }
      //ensure
      {
         assert( "\$this->_invariant()" );
      }
   }

//========================================================================

   /*!
   @function getMapShape()
   @discussion - provides a String that identifies the type of Shape
      being used for an ImageMap
   @result - returns a non-empty String
   */   

   /* abstract getMapShape(); */

//========================================================================

   /*!
   @function getMapCoordinates
   @discussion - provides a String of coordinates for use in
      an ImageMap
   @reuslt - returns a non-empty String
   */
   
   /* abstract getMapCoordinates(); */
   
//========================================================================

   /*
   @function _invariant()
   @discussion - defines a boolean expression that should always be true
      for this object
   @result - returns a boolean expression indicating if the object is in
      a valid state
   */
    
   function _invariant()
   {
      return parent::_invariant();
   }

//========================================================================

};

?>