<?php

/*
LightCheckBoxGroupField
$Author: dougqh $
$Revision: 1.5 $
$Date: 2004/01/08 16:19:04 $
$Log: LightCheckBoxGroupField.php,v $
Revision 1.5  2004/01/08 16:19:04  dougqh
- Debugging

Revision 1.4  2004/01/08 15:30:22  dougqh
- Minor correction in _getFormValue.

Revision 1.3  2004/01/07 22:18:41  millz
- bug fixes

Revision 1.2  2004/01/07 21:55:19  dougqh
- Changing pseudo-code to actual code

Revision 1.1  2004/01/06 19:11:05  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'HTMLComponents.LightForms.ALightFormField' );

//========================================================================

/*!
@class LightCheckBoxGroupField
@abstract -
*/

class LightCheckBoxGroupField extends ALightFormField
{

//========================================================================

   /*!
   @function LightCheckBoxGroupField( $name, $displayName )
   @discussion - constructs a new LightCheckBoxGroupField object
   @result - constructs a new LightCheckBoxGroupField object
   */

   function LightCheckBoxGroupField( $name, $displayName )
   {

         $this->ALightFormField( $name, $displayName );

   }

//========================================================================

    /*!
    @function _getDefaultValue()
    */
    function _getDefaultValue()
    {
         return array();
    }

//========================================================================

   /*!
   @function _getFormValue()
   */
   function _getFormValue()
   {
      if ( isset( $_REQUEST{ $this->getName() } ) &&
         is_array( $_REQUEST{ $this->getName() } ) )
      {
         return set::arrayToSet( $_REQUEST{ $this->getName() } );
      }
      else
      {
         return $this->_getDefaultValue();
      }
   }

//========================================================================

    /*!
    @function _getEnabledHTML()
    */
    function _getEnabledHTML()
    {

    }

//========================================================================

    /*!
    @function _getDisabledHTML()
    */
    function _getDisabledHTML()
    {
         return '';
    }

//========================================================================

    /*!
    @function &createAndAddCheckBox( $id, [ $isChecked ] )
    */
    function &createAndAddCheckBox( $id, $isChecked = UNSPECIFIED )
    {
         if ( $isChecked !== UNSPECIFIED )
         {
            $this->setChecked( $id, $isChecked );
         }

         importClass( 'HTMLComponents.RawHTML' );

         // <input type="checkbox" checked="checked" name="C1" value="ON">
         $html = '<input type="checkbox" name="'.$this->getName().'[]" value="'.$id.'" ';

         if( $this->isChecked( $id ) )
         {
            $html .= 'checked="checked" ';
         }

         $html .= '/>';

         return new RawHTML( $html );
    }

//========================================================================

    /*!
    @function setChecked( $id, $val )
    */
    function setChecked( $id, $val )
    {
      $set = $this->getValue();

      if ( $val )
         $set{ $id } = true;
      else
         unset( $set{ $id } );

      $this->setValue( $set );
    }

//========================================================================

    /*!
    @function isChecked( $id )
    */
    function isChecked( $id )
    {
      return array_key_exists(  $id, $this->getValue() );
    }

//========================================================================

   /*!
   @function getChecked()
   @discussion - provides an array of checked IDs
   */

   function getChecked()
   {
      return array_keys( $this->getValue() );
   }

//========================================================================

};

?>