<?php

/*
Radio
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/09/29 18:12:30 $
$Log: Radio.php,v $
Revision 1.1  2003/09/29 18:12:30  dougqh
Initial revision

Revision 1.2  2003/01/11 22:33:53  millz
- rewrite

Revision 1.1  2003/01/07 16:58:35  clay
Initial revision




IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/

//========================================================================

/*!
@class Radio
@abstract - an HTMLComponent that represents a Radio
*/

class Radio extends Object /* implements HTMLComponent */
{

//========================================================================

   var $value;
   var $groupName;
   var $isChecked;

//========================================================================

   /*!
   @function Radio( $groupName, $value )
   @param $name - a String containing a name for this Radio's RadioGroup
   @param $value - the value of the radio
   @discussion - constructs a new Radio object
   @result - constructs a new Radio object
   */
   
   function Radio( $groupName, $value )
   {
      //require
      {
      }
      //body
      {
         $this->value      = $value;
         $this->groupName  = $groupName;
         $this->isChecked  = false;
         
         $this->Object();
      }
      //ensure
      {
         assert( '$this->_invariant()' );
      }
   }

//========================================================================

   /*!
   @function setCheckedByValue( $value )
   @param $value - the value to compare against, if it matches my value, I will become checked
   @discussion - 
   */

   function setCheckedByValue( $value )
   {
      $this->isChecked = ( $this->value == $value );
   }

//========================================================================

   /*!
   @function getHTML()
   @discussion - provides the HTML of this Radio
   @result - returns a String of HTML
   */
   
   function getHTML()
   {
      if ( $this->isChecked )
      {
         $checked = ' checked ';
      }
      else
      {
         $checked = '';
      }

      return '<input name="'.$this->groupName.'" type="radio" value="'.$this->value.'" ' . $checked . ' />';
   }
      
//========================================================================

   /*
   @function _invariant()
   @discussion - defines a boolean expression that should always be true
      for this object
   @result - returns a boolean expression indicating if the object is in
      a valid state
   */
    
   function _invariant()
   {
      return parent::_invariant();
   }

//========================================================================

};

?>