<?php

/*
Text
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/09/10 13:32:19 $
$Log: Text.php,v $
Revision 1.1  2003/09/10 13:32:19  dougqh
Initial revision

Revision 1.8  2003/07/09 21:43:01  dougqh
?

Revision 1.7  2003/03/27 19:56:37  millz
- bug fix

Revision 1.6  2003/03/27 19:20:03  millz
- updated to extend AText

Revision 1.5  2002/09/24 18:13:34  dougqh
Changing quotes to ticks.

Revision 1.4  2002/08/25 16:24:41  dougqh
Setting color to gray and changing text to none for empty Strings.

Revision 1.3  2002/08/01 16:28:53  dougqh
Debugging and a new invariant check.

Revision 1.2  2002/07/31 16:50:34  dougqh
Fixed some problems with HTML generation.

Revision 1.1  2002/07/01 20:13:07  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'HTMLComponents.AText' );

//========================================================================

/*!
@class Text
@abstract - a class that describes text
*/

class Text extends AText
{
//========================================================================

   /*!
   @function Text( $text )
   @param $text - a string containing the text to be displayed
   @discussion - constructs a new Text object containg the
      string $text
   @result - constructs a new Text object
   */

   function Text( $text )
   {
      $this->AText( $text );
   }

//========================================================================

   /*!
   @function createBoldText( $text )
   @param $text - a String
   @discussion - a static convenience method that creates a new Text
      with its Font set to bold
   @result - returns Text
   */

   /* static */
   function &createBoldText( $text )
   {
      $result =& new Text( $text );

      importClass( 'Display.Font' );
      $result->setFont( Font::getFont( true ) );

      return $result;
   }

//========================================================================

   /*!
   @function _getFormattedText( $text )
   */

   function _getFormattedText( $text )
   {
      return $text;
   }

//========================================================================

};

?>