<?php

/*
constantsLibrary
$Author: dougqh $
$Revision: 1.1 $
$Date: 2003/09/09 15:11:59 $
$Log: CONSTANTS.php,v $
Revision 1.1  2003/09/09 15:11:59  dougqh
Initial revision

Revision 1.4  2002/12/06 15:22:34  dougqh
A minor fix for my last commit.

Revision 1.3  2002/12/05 15:01:38  dougqh
Moved BR from HTMLComponents/CONSTANTS.
Added BR_NL.

Revision 1.2  2002/09/25 22:06:49  dougqh
Added new constant NL.

Revision 1.1  2002/07/01 20:21:39  dougqh
Initial revision


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/

//========================================================================

/*!
@library CONSTANTS
@discussion - defines a series of widely used constants
*/

// The maximum floating point value according to
// http://www.php.net/manual/en/language.types.float.php
// is 1.8e308; I am going slightly below that to ensure
// that the number is represented by a number.  This
// ensures that the constant works fine with <, ==, and >.

define( 'INFINITY', 1.8e307 );
define( 'NEGATIVE_INFINITY', -1.8e307 );

//use this constant when a parameter is optional
define( 'UNSPECIFIED', 'UNSPECIFIED' );

//use this when there is no value
define( 'NONE', 'NONE' );

define( 'NL', "\n" );
define( 'BR', '<br />' );

if ( defined( 'IS_COMMAND_LINE' ) )
{
   define( 'BR_NL', NL );
}
else
{
   define( 'BR_NL', BR . NL );
}

?>