<?php


/*
process
$Author: dougqh $
$Revision: 1.1 $
$Date: 2004/11/17 20:08:08 $
$Log: reflectLibrary.php,v $
Revision 1.1  2004/11/17 20:08:08  dougqh
- Renaming of reflectionLibrary

Revision 1.1  2004/11/17 19:52:14  dougqh
- Library that hides differences between PHP4 and PHP5 reflection

Revision 1.1  2003/09/09 15:11:59  dougqh
Initial revision

IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a 
legal AGREEMENT between you (either as a 
registered individual or as the 
registered representative and on 
behalf of a single entity) and INCOGEN, Inc., 
for the software product identified above, which 
product includes computer software and may 
include associated media, printed materials, 
and "online" or electronic documentation 
("SOFTWARE PRODUCT").  By installing, copying, 
or otherwise using the SOFTWARE PRODUCT, you 
agree to be bound by the terms of this EULA. 
If you do not agree to the terms of this EULA, 
then DO NOT install or use the SOFTWARE 
PRODUCT; in such event the original purchaser 
may, however, return it to the place of 
purchase within thirty days of the date of 
original purchase for a full refund.

Please read the remaining text of this agreement 
in the accompanying license.txt file
*/

//========================================================================

/*!
@class process
@abstract - used to find information about processes running on the process
   - also used to execute commands
@discussion - library to deal with PHP 4/5 reflection issues
*/

class reflect
{
		function methodExists( $className, $methodName )
		{
	      $className = reflect::toInternalName( $className );
	      $methods = get_class_methods( $className );
	      $methodName = reflect::toInternalName( $methodName );
	      
	      return in_array( $methodName, $methods );
		}
		
		function toInternalName( $methodName )
		{
			 if ( IS_PHP5 )
			 {
			 	  return $methodName;
			 }			 
			 else
			 {
			 	  return strtolower( $methodName );
			 }
		}
}

?>