<?php

/*
AConfigWrappingItem
$Author: millz $
$Revision: 1.1 $
$Date: 2004/01/06 15:41:53 $
$Log: AConfigWrappingItem.php,v $
Revision 1.1  2004/01/06 15:41:53  millz
-


IMPORTANT-READ CAREFULLY. This INCOGEN
End-User License Agreement ("EULA") is a
legal AGREEMENT between you (either as a
registered individual or as the
registered representative and on
behalf of a single entity) and INCOGEN, Inc.,
for the software product identified above, which
product includes computer software and may
include associated media, printed materials,
and "online" or electronic documentation
("SOFTWARE PRODUCT").  By installing, copying,
or otherwise using the SOFTWARE PRODUCT, you
agree to be bound by the terms of this EULA.
If you do not agree to the terms of this EULA,
then DO NOT install or use the SOFTWARE
PRODUCT; in such event the original purchaser
may, however, return it to the place of
purchase within thirty days of the date of
original purchase for a full refund.

Please read the remaining text of this agreement
in the accompanying license.txt file
*/

//========================================================================

importClass( 'Database.ADatabaseItem' );

//========================================================================

/*!
@class AConfigWrappingItem
@abstract -
*/

class AConfigWrappingItem extends ADatabaseItem
{

//========================================================================

   // <class vars>

//========================================================================

   /*!
   @function AConfigWrappingItem( &$config )
   @discussion - constructs a new AConfigWrappingItem object
   @result - constructs a new AConfigWrappingItem object
   */

   function AConfigWrappingItem( &$config )
   {
      if ( is_null( $config ) )
      {
         $this->config =& $this->_createConfig();
      }
      else
      {
         $this->config =& $config;
      }


      $this->ADatabaseItem();

   }


//========================================================================

    /*!
    @function &_getPrototype( $file )
    */
    /*static*/
    function &_getPrototype( $file )
    {
        static $instancesHash;
        if ( ! isset( $instancesHash{ $file } ) )
        {
            $class = str_replace( '.php', '', getFileNameFromFullPath( $file ) );
            $instancesHash{ $file } =& new $class( toRef(NULL) );
        }
        return $instancesHash{ $file };
    }

//========================================================================

    /*!
    @function _getConfigType( )
    */
   /* abstract _getConfigType() */

//========================================================================

    /*!
    @function &_createConfig()
    */
   /* abstract &_createConfig() */

//========================================================================

    /*!
    @function isNew( )
    */
    function isNew()
    {
        return $this->config->isNew();
    }

//========================================================================

    /*!
    @function &createNew( $params )
    */
    /* abstract &createNew( $params ) */

//========================================================================

    /*!
    @function &_store()
    */
    function _store()
    {
        // print 'Config->isNew: ' . getStringDepiction( $this->config->isNew() ) . BR_NL;
        $this->config->_store();
    }

//========================================================================

    /*!
    @function &doEmptySearch()
    */
    function &doEmptySearch()
    {
        $cfgPrototype =& Config::getPrototype();
        return $cfgPrototype->doEmptySearch();
    }

//========================================================================

   /*!
   @function &doIDSearch( $ids )
   */
   function &doIDSearch( $ids )
   {
      $cfgPrototype =& Config::getPrototype();
      importClass( 'Collections.IteratorFactory' );
      return IteratorFactory::getConstructorIterator(
         get_class( $this ),
         $cfgPrototype->doIDSearchWithType( $this->_getConfigType(), $ids ) );
   }

//========================================================================

    /*!
    @function &doSearchByUser( &$user )
    */
    function &doSearchByUser( &$user )
    {
       $cfgPrototype =& Config::getPrototype();
       importClass( 'Collections.IteratorFactory' );
       return IteratorFactory::getConstructorIterator(
          get_class( $this ),
          $cfgPrototype->doSearchByTypeAndUser( $this->_getConfigType(), $user ) );
    }

//========================================================================

    /*!
    @function getDefaultOrderBy()
    */
    function getDefaultOrderBy()
    {
        $cfgPrototype =& Config::getPrototype();
        return $cfg->getDefaultOrderBy();
    }

//========================================================================

    /*!
    @function getTable()
    */
    function getTable()
    {
        $cfgPrototype =& Config::getPrototype();
        return $cfg->getTable();
    }

//========================================================================

    /*!
    @function getReadColumns()
    */
    function getReadColumns()
    {
        $cfgPrototype =& Config::getPrototype();
        return $cfg->getReadColumns();
    }

//========================================================================

    /*!
    @function getAllColumns()
    */
    function getAllColumns()
    {
        $cfgPrototype =& Config::getPrototype();
        return $cfg->getAllColumns();
    }

//========================================================================

    /*!
    @function getPrimaryColumn()
    */
    function getPrimaryColumn()
    {
        $cfgPrototype =& Config::getPrototype();
        return $cfg->getPrimaryColumn();
    }


//========================================================================

    /*!
    @function getSequence()
    */
    function getSequence()
    {
        $cfgPrototype =& Config::getPrototype();
        return $cfg->getSequence();
    }

//========================================================================

    /*!
    @function getIdentifyingString()
    */
    function getIdentifyingString()
    {
        return $this->config->getIdentifyingString();
    }

//========================================================================

    /*!
    @function getPrimaryID()
    */
    function getPrimaryID()
    {
        return $this->config->getPrimaryID();
    }

//========================================================================

    /*!
    @function getPrototypeClass()
    */
    function getPrototypeClass()
    {
        return get_class( $this );
    }

//========================================================================

    /*!
    @function getColumnValue( $name )
    */
    function getColumnValue( $name )
    {
        return $this->config->getColumnValue( $name );
    }

//========================================================================

    /*!
    @function setDescription( $desc )
    */
    function setDescription( $desc )
    {
        $this->config->setDescription( $desc );
    }

//========================================================================

    /*!
    @function  getDescription()
    */
    function getDescription()
    {
        return $this->config->getDescription();
    }

//========================================================================

    /*!
    @function _setUser( &$user )
    */
    function _setUser( &$user )
    {
        $this->config->setUser( $user );
    }

//========================================================================

    /*!
    @function &getUser()
    */
    function &getUser()
    {
        return $this->config->getUser();
    }

//========================================================================

    /*!
    @function isUser( &$user )
    */
    function isUser( &$user )
    {
        return ( $this->config->isUser( $user ) );
    }

//========================================================================

    /*!
    @function isNull()
    */
    function isNull()
    {
        return $this->config->isNull();
    }

//========================================================================

};

?>